
#-- start of constituents_header ------

include ${CMTROOT}/src/Makefile.core

ifdef tag
CMTEXTRATAGS = $(tag)
else
tag       = $(CMTCONFIG)
endif

tags      = $(tag),$(CMTEXTRATAGS)

Dy_tag = $(tag)

#cmt_local_tagfile = $(Dy_tag).make
cmt_local_tagfile = $(bin)$(Dy_tag).make

#-include $(cmt_local_tagfile)
include $(cmt_local_tagfile)

#cmt_local_setup = $(bin)setup$$$$.make
#cmt_local_setup = $(bin)$(package)setup$$$$.make
#cmt_final_setup = $(bin)Dysetup.make
cmt_final_setup = $(bin)setup.make
#cmt_final_setup = $(bin)$(package)setup.make

cmt_build_library_linksstamp = $(bin)cmt_build_library_links.stamp
#--------------------------------------------------------

#cmt_lock_setup = /tmp/lock$(cmt_lock_pid).make
#cmt_temp_tag = /tmp/tag$(cmt_lock_pid).make

#first :: $(cmt_local_tagfile)
#	@echo $(cmt_local_tagfile) ok
#ifndef QUICK
#first :: $(cmt_final_setup) ;
#else
#first :: ;
#endif

##	@bin=`$(cmtexe) show macro_value bin`

#$(cmt_local_tagfile) : $(cmt_lock_setup)
#	@echo "#CMT> Error: $@: No such file" >&2; exit 1
#$(cmt_local_tagfile) :
#	@echo "#CMT> Warning: $@: No such file" >&2; exit
#	@echo "#CMT> Info: $@: No need to rebuild file" >&2; exit

#$(cmt_final_setup) : $(cmt_local_tagfile) 
#	$(echo) "(constituents.make) Rebuilding $@"
#	@if test ! -d $(@D); then $(mkdir) -p $(@D); fi; \
#	  if test -f $(cmt_local_setup); then /bin/rm -f $(cmt_local_setup); fi; \
#	  trap '/bin/rm -f $(cmt_local_setup)' 0 1 2 15; \
#	  $(cmtexe) -tag=$(tags) show setup >>$(cmt_local_setup); \
#	  if test ! -f $@; then \
#	    mv $(cmt_local_setup) $@; \
#	  else \
#	    if /usr/bin/diff $(cmt_local_setup) $@ >/dev/null ; then \
#	      : ; \
#	    else \
#	      mv $(cmt_local_setup) $@; \
#	    fi; \
#	  fi

#	@/bin/echo $@ ok   

#config :: checkuses
#	@exit 0
#checkuses : ;

env.make ::
	printenv >env.make.tmp; $(cmtexe) check files env.make.tmp env.make

ifndef QUICK
all :: build_library_links ;
else
all :: $(cmt_build_library_linksstamp) ;
endif

javadirs ::
	@if test ! -d $(javabin) ; then $(mkdir) -p $(javabin) ; fi

srcdirs ::
	@if test ! -d $(src) ; then $(mkdir) -p $(src) ; fi

dirs :: requirements
	@if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi
#	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
#	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi

#requirements :
#	@if test ! -r requirements ; then echo "No requirements file" ; fi

build_library_links : dirs
	$(echo) "(constituents.make) Rebuilding library links"; \
	 $(build_library_links)
#	if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi; \
#	$(build_library_links)

$(cmt_build_library_linksstamp) : $(cmt_final_setup) $(cmt_local_tagfile) $(bin)library_links.in
	$(echo) "(constituents.make) Rebuilding library links"; \
	 $(build_library_links) -f=$(bin)library_links.in -without_cmt
	$(silent) \touch $@

#makefiles : ;

ifndef PEDANTIC
.DEFAULT ::
#.DEFAULT :
	$(echo) "(constituents.make) $@: No rule for such target" >&2
endif

${CMTROOT}/src/Makefile.core : ;
ifdef use_requirements
$(use_requirements) : ;
endif

#-- end of constituents_header ------
#-- start of group ------

all_groups :: all

all :: $(all_dependencies)  $(all_pre_constituents) $(all_constituents)  $(all_post_constituents)
	$(echo) "all ok."

#	@/bin/echo " all ok."

clean :: allclean

allclean ::  $(all_constituentsclean)
	$(echo) $(all_constituentsclean)
	$(echo) "allclean ok."

#	@echo $(all_constituentsclean)
#	@/bin/echo " allclean ok."

allclean :: makefilesclean

#-- end of group ------
#-- start of group ------

all_groups :: cmt_actions

cmt_actions :: $(cmt_actions_dependencies)  $(cmt_actions_pre_constituents) $(cmt_actions_constituents)  $(cmt_actions_post_constituents)
	$(echo) "cmt_actions ok."

#	@/bin/echo " cmt_actions ok."

clean :: allclean

cmt_actionsclean ::  $(cmt_actions_constituentsclean)
	$(echo) $(cmt_actions_constituentsclean)
	$(echo) "cmt_actionsclean ok."

#	@echo $(cmt_actions_constituentsclean)
#	@/bin/echo " cmt_actionsclean ok."

cmt_actionsclean :: makefilesclean

#-- end of group ------
#-- start of group ------

all_groups :: install-rel

install-rel :: $(install-rel_dependencies)  $(install-rel_pre_constituents) $(install-rel_constituents)  $(install-rel_post_constituents)
	$(echo) "install-rel ok."

#	@/bin/echo " install-rel ok."

clean :: allclean

install-relclean ::  $(install-rel_constituentsclean)
	$(echo) $(install-rel_constituentsclean)
	$(echo) "install-relclean ok."

#	@echo $(install-rel_constituentsclean)
#	@/bin/echo " install-relclean ok."

install-relclean :: makefilesclean

#-- end of group ------
#-- start of constituent ------

cmt_VDyPlotDict_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_VDyPlotDict_has_target_tag

#cmt_local_tagfile_VDyPlotDict = $(Dy_tag)_VDyPlotDict.make
cmt_local_tagfile_VDyPlotDict = $(bin)$(Dy_tag)_VDyPlotDict.make
cmt_local_setup_VDyPlotDict = $(bin)setup_VDyPlotDict$$$$.make
cmt_final_setup_VDyPlotDict = $(bin)setup_VDyPlotDict.make
#cmt_final_setup_VDyPlotDict = $(bin)Dy_VDyPlotDictsetup.make
cmt_local_VDyPlotDict_makefile = $(bin)VDyPlotDict.make

VDyPlotDict_extratags = -tag_add=target_VDyPlotDict

#$(cmt_local_tagfile_VDyPlotDict) : $(cmt_lock_setup)
ifndef QUICK
$(cmt_local_tagfile_VDyPlotDict) ::
else
$(cmt_local_tagfile_VDyPlotDict) :
endif
	$(echo) "(constituents.make) Rebuilding $@"; \
	  if test -f $(cmt_local_tagfile_VDyPlotDict); then /bin/rm -f $(cmt_local_tagfile_VDyPlotDict); fi ; \
	  $(cmtexe) -tag=$(tags) $(VDyPlotDict_extratags) build tag_makefile >>$(cmt_local_tagfile_VDyPlotDict)
	$(echo) "(constituents.make) Rebuilding $(cmt_final_setup_VDyPlotDict)"; \
	  test ! -f $(cmt_local_setup_VDyPlotDict) || \rm -f $(cmt_local_setup_VDyPlotDict); \
	  trap '\rm -f $(cmt_local_setup_VDyPlotDict)' 0 1 2 15; \
	  $(cmtexe) -tag=$(tags) $(VDyPlotDict_extratags) show setup >$(cmt_local_setup_VDyPlotDict) && \
	  if [ -f $(cmt_final_setup_VDyPlotDict) ] && \
	    \cmp -s $(cmt_final_setup_VDyPlotDict) $(cmt_local_setup_VDyPlotDict); then \
	    \rm $(cmt_local_setup_VDyPlotDict); else \
	    \mv -f $(cmt_local_setup_VDyPlotDict) $(cmt_final_setup_VDyPlotDict); fi

else

#cmt_local_tagfile_VDyPlotDict = $(Dy_tag).make
cmt_local_tagfile_VDyPlotDict = $(bin)$(Dy_tag).make
cmt_final_setup_VDyPlotDict = $(bin)setup.make
#cmt_final_setup_VDyPlotDict = $(bin)Dysetup.make
cmt_local_VDyPlotDict_makefile = $(bin)VDyPlotDict.make

endif

not_VDyPlotDict_dependencies = { n=0; for p in $?; do m=0; for d in $(VDyPlotDict_dependencies); do if [ $$p = $$d ]; then m=1; break; fi; done; if [ $$m -eq 0 ]; then n=1; break; fi; done; [ $$n -eq 1 ]; }

ifdef STRUCTURED_OUTPUT
VDyPlotDictdirs :
	@if test ! -d $(bin)VDyPlotDict; then $(mkdir) -p $(bin)VDyPlotDict; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)VDyPlotDict
else
VDyPlotDictdirs : ;
endif

#ifndef QUICK
#ifdef STRUCTURED_OUTPUT
# VDyPlotDictdirs ::
#	@if test ! -d $(bin)VDyPlotDict; then $(mkdir) -p $(bin)VDyPlotDict; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)VDyPlotDict
#
#$(cmt_local_VDyPlotDict_makefile) :: $(VDyPlotDict_dependencies) $(cmt_local_tagfile_VDyPlotDict) build_library_links dirs VDyPlotDictdirs
#else
#$(cmt_local_VDyPlotDict_makefile) :: $(VDyPlotDict_dependencies) $(cmt_local_tagfile_VDyPlotDict) build_library_links dirs
#endif
#else
#$(cmt_local_VDyPlotDict_makefile) :: $(cmt_local_tagfile_VDyPlotDict)
#endif

ifdef cmt_VDyPlotDict_has_target_tag

ifndef QUICK
$(cmt_local_VDyPlotDict_makefile) : $(VDyPlotDict_dependencies) build_library_links
	$(echo) "(constituents.make) Building VDyPlotDict.make"; \
	  $(cmtexe) -tag=$(tags) $(VDyPlotDict_extratags) build constituent_config -out=$(cmt_local_VDyPlotDict_makefile) VDyPlotDict
else
$(cmt_local_VDyPlotDict_makefile) : $(VDyPlotDict_dependencies) $(cmt_build_library_linksstamp) $(use_requirements)
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_VDyPlotDict) ] || \
	  [ ! -f $(cmt_final_setup_VDyPlotDict) ] || \
	  $(not_VDyPlotDict_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building VDyPlotDict.make"; \
	  $(cmtexe) -tag=$(tags) $(VDyPlotDict_extratags) build constituent_config -out=$(cmt_local_VDyPlotDict_makefile) VDyPlotDict; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_VDyPlotDict_makefile) : $(VDyPlotDict_dependencies) build_library_links
	$(echo) "(constituents.make) Building VDyPlotDict.make"; \
	  $(cmtexe) -f=$(bin)VDyPlotDict.in -tag=$(tags) $(VDyPlotDict_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_VDyPlotDict_makefile) VDyPlotDict
else
$(cmt_local_VDyPlotDict_makefile) : $(VDyPlotDict_dependencies) $(cmt_build_library_linksstamp) $(bin)VDyPlotDict.in
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_VDyPlotDict) ] || \
	  [ ! -f $(cmt_final_setup_VDyPlotDict) ] || \
	  $(not_VDyPlotDict_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building VDyPlotDict.make"; \
	  $(cmtexe) -f=$(bin)VDyPlotDict.in -tag=$(tags) $(VDyPlotDict_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_VDyPlotDict_makefile) VDyPlotDict; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(VDyPlotDict_extratags) build constituent_makefile -out=$(cmt_local_VDyPlotDict_makefile) VDyPlotDict

VDyPlotDict :: $(VDyPlotDict_dependencies) $(cmt_local_VDyPlotDict_makefile) dirs VDyPlotDictdirs
	$(echo) "(constituents.make) Starting VDyPlotDict"
	@if test -f $(cmt_local_VDyPlotDict_makefile); then \
	  $(MAKE) -f $(cmt_local_VDyPlotDict_makefile) VDyPlotDict; \
	  fi
#	@$(MAKE) -f $(cmt_local_VDyPlotDict_makefile) VDyPlotDict
	$(echo) "(constituents.make) VDyPlotDict done"

clean :: VDyPlotDictclean

VDyPlotDictclean :: $(VDyPlotDictclean_dependencies) ##$(cmt_local_VDyPlotDict_makefile)
	$(echo) "(constituents.make) Starting VDyPlotDictclean"
	@-if test -f $(cmt_local_VDyPlotDict_makefile); then \
	  $(MAKE) -f $(cmt_local_VDyPlotDict_makefile) VDyPlotDictclean; \
	fi
	$(echo) "(constituents.make) VDyPlotDictclean done"
#	@-$(MAKE) -f $(cmt_local_VDyPlotDict_makefile) VDyPlotDictclean

##	  /bin/rm -f $(cmt_local_VDyPlotDict_makefile) $(bin)VDyPlotDict_dependencies.make

install :: VDyPlotDictinstall

VDyPlotDictinstall :: $(VDyPlotDict_dependencies) $(cmt_local_VDyPlotDict_makefile)
	$(echo) "(constituents.make) Starting install VDyPlotDict"
	@-$(MAKE) -f $(cmt_local_VDyPlotDict_makefile) install
	$(echo) "(constituents.make) install VDyPlotDict done"

uninstall : VDyPlotDictuninstall

$(foreach d,$(VDyPlotDict_dependencies),$(eval $(d)uninstall_dependencies += VDyPlotDictuninstall))

VDyPlotDictuninstall : $(VDyPlotDictuninstall_dependencies) ##$(cmt_local_VDyPlotDict_makefile)
	$(echo) "(constituents.make) Starting uninstall VDyPlotDict"
	@if test -f $(cmt_local_VDyPlotDict_makefile); then \
	  $(MAKE) -f $(cmt_local_VDyPlotDict_makefile) uninstall; \
	  fi
#	@$(MAKE) -f $(cmt_local_VDyPlotDict_makefile) uninstall
	$(echo) "(constituents.make) uninstall VDyPlotDict done"

remove_library_links :: VDyPlotDictuninstall

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ VDyPlotDict"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ VDyPlotDict done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_VDyPlot2Dict_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_VDyPlot2Dict_has_target_tag

#cmt_local_tagfile_VDyPlot2Dict = $(Dy_tag)_VDyPlot2Dict.make
cmt_local_tagfile_VDyPlot2Dict = $(bin)$(Dy_tag)_VDyPlot2Dict.make
cmt_local_setup_VDyPlot2Dict = $(bin)setup_VDyPlot2Dict$$$$.make
cmt_final_setup_VDyPlot2Dict = $(bin)setup_VDyPlot2Dict.make
#cmt_final_setup_VDyPlot2Dict = $(bin)Dy_VDyPlot2Dictsetup.make
cmt_local_VDyPlot2Dict_makefile = $(bin)VDyPlot2Dict.make

VDyPlot2Dict_extratags = -tag_add=target_VDyPlot2Dict

#$(cmt_local_tagfile_VDyPlot2Dict) : $(cmt_lock_setup)
ifndef QUICK
$(cmt_local_tagfile_VDyPlot2Dict) ::
else
$(cmt_local_tagfile_VDyPlot2Dict) :
endif
	$(echo) "(constituents.make) Rebuilding $@"; \
	  if test -f $(cmt_local_tagfile_VDyPlot2Dict); then /bin/rm -f $(cmt_local_tagfile_VDyPlot2Dict); fi ; \
	  $(cmtexe) -tag=$(tags) $(VDyPlot2Dict_extratags) build tag_makefile >>$(cmt_local_tagfile_VDyPlot2Dict)
	$(echo) "(constituents.make) Rebuilding $(cmt_final_setup_VDyPlot2Dict)"; \
	  test ! -f $(cmt_local_setup_VDyPlot2Dict) || \rm -f $(cmt_local_setup_VDyPlot2Dict); \
	  trap '\rm -f $(cmt_local_setup_VDyPlot2Dict)' 0 1 2 15; \
	  $(cmtexe) -tag=$(tags) $(VDyPlot2Dict_extratags) show setup >$(cmt_local_setup_VDyPlot2Dict) && \
	  if [ -f $(cmt_final_setup_VDyPlot2Dict) ] && \
	    \cmp -s $(cmt_final_setup_VDyPlot2Dict) $(cmt_local_setup_VDyPlot2Dict); then \
	    \rm $(cmt_local_setup_VDyPlot2Dict); else \
	    \mv -f $(cmt_local_setup_VDyPlot2Dict) $(cmt_final_setup_VDyPlot2Dict); fi

else

#cmt_local_tagfile_VDyPlot2Dict = $(Dy_tag).make
cmt_local_tagfile_VDyPlot2Dict = $(bin)$(Dy_tag).make
cmt_final_setup_VDyPlot2Dict = $(bin)setup.make
#cmt_final_setup_VDyPlot2Dict = $(bin)Dysetup.make
cmt_local_VDyPlot2Dict_makefile = $(bin)VDyPlot2Dict.make

endif

not_VDyPlot2Dict_dependencies = { n=0; for p in $?; do m=0; for d in $(VDyPlot2Dict_dependencies); do if [ $$p = $$d ]; then m=1; break; fi; done; if [ $$m -eq 0 ]; then n=1; break; fi; done; [ $$n -eq 1 ]; }

ifdef STRUCTURED_OUTPUT
VDyPlot2Dictdirs :
	@if test ! -d $(bin)VDyPlot2Dict; then $(mkdir) -p $(bin)VDyPlot2Dict; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)VDyPlot2Dict
else
VDyPlot2Dictdirs : ;
endif

#ifndef QUICK
#ifdef STRUCTURED_OUTPUT
# VDyPlot2Dictdirs ::
#	@if test ! -d $(bin)VDyPlot2Dict; then $(mkdir) -p $(bin)VDyPlot2Dict; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)VDyPlot2Dict
#
#$(cmt_local_VDyPlot2Dict_makefile) :: $(VDyPlot2Dict_dependencies) $(cmt_local_tagfile_VDyPlot2Dict) build_library_links dirs VDyPlot2Dictdirs
#else
#$(cmt_local_VDyPlot2Dict_makefile) :: $(VDyPlot2Dict_dependencies) $(cmt_local_tagfile_VDyPlot2Dict) build_library_links dirs
#endif
#else
#$(cmt_local_VDyPlot2Dict_makefile) :: $(cmt_local_tagfile_VDyPlot2Dict)
#endif

ifdef cmt_VDyPlot2Dict_has_target_tag

ifndef QUICK
$(cmt_local_VDyPlot2Dict_makefile) : $(VDyPlot2Dict_dependencies) build_library_links
	$(echo) "(constituents.make) Building VDyPlot2Dict.make"; \
	  $(cmtexe) -tag=$(tags) $(VDyPlot2Dict_extratags) build constituent_config -out=$(cmt_local_VDyPlot2Dict_makefile) VDyPlot2Dict
else
$(cmt_local_VDyPlot2Dict_makefile) : $(VDyPlot2Dict_dependencies) $(cmt_build_library_linksstamp) $(use_requirements)
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_VDyPlot2Dict) ] || \
	  [ ! -f $(cmt_final_setup_VDyPlot2Dict) ] || \
	  $(not_VDyPlot2Dict_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building VDyPlot2Dict.make"; \
	  $(cmtexe) -tag=$(tags) $(VDyPlot2Dict_extratags) build constituent_config -out=$(cmt_local_VDyPlot2Dict_makefile) VDyPlot2Dict; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_VDyPlot2Dict_makefile) : $(VDyPlot2Dict_dependencies) build_library_links
	$(echo) "(constituents.make) Building VDyPlot2Dict.make"; \
	  $(cmtexe) -f=$(bin)VDyPlot2Dict.in -tag=$(tags) $(VDyPlot2Dict_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_VDyPlot2Dict_makefile) VDyPlot2Dict
else
$(cmt_local_VDyPlot2Dict_makefile) : $(VDyPlot2Dict_dependencies) $(cmt_build_library_linksstamp) $(bin)VDyPlot2Dict.in
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_VDyPlot2Dict) ] || \
	  [ ! -f $(cmt_final_setup_VDyPlot2Dict) ] || \
	  $(not_VDyPlot2Dict_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building VDyPlot2Dict.make"; \
	  $(cmtexe) -f=$(bin)VDyPlot2Dict.in -tag=$(tags) $(VDyPlot2Dict_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_VDyPlot2Dict_makefile) VDyPlot2Dict; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(VDyPlot2Dict_extratags) build constituent_makefile -out=$(cmt_local_VDyPlot2Dict_makefile) VDyPlot2Dict

VDyPlot2Dict :: $(VDyPlot2Dict_dependencies) $(cmt_local_VDyPlot2Dict_makefile) dirs VDyPlot2Dictdirs
	$(echo) "(constituents.make) Starting VDyPlot2Dict"
	@if test -f $(cmt_local_VDyPlot2Dict_makefile); then \
	  $(MAKE) -f $(cmt_local_VDyPlot2Dict_makefile) VDyPlot2Dict; \
	  fi
#	@$(MAKE) -f $(cmt_local_VDyPlot2Dict_makefile) VDyPlot2Dict
	$(echo) "(constituents.make) VDyPlot2Dict done"

clean :: VDyPlot2Dictclean

VDyPlot2Dictclean :: $(VDyPlot2Dictclean_dependencies) ##$(cmt_local_VDyPlot2Dict_makefile)
	$(echo) "(constituents.make) Starting VDyPlot2Dictclean"
	@-if test -f $(cmt_local_VDyPlot2Dict_makefile); then \
	  $(MAKE) -f $(cmt_local_VDyPlot2Dict_makefile) VDyPlot2Dictclean; \
	fi
	$(echo) "(constituents.make) VDyPlot2Dictclean done"
#	@-$(MAKE) -f $(cmt_local_VDyPlot2Dict_makefile) VDyPlot2Dictclean

##	  /bin/rm -f $(cmt_local_VDyPlot2Dict_makefile) $(bin)VDyPlot2Dict_dependencies.make

install :: VDyPlot2Dictinstall

VDyPlot2Dictinstall :: $(VDyPlot2Dict_dependencies) $(cmt_local_VDyPlot2Dict_makefile)
	$(echo) "(constituents.make) Starting install VDyPlot2Dict"
	@-$(MAKE) -f $(cmt_local_VDyPlot2Dict_makefile) install
	$(echo) "(constituents.make) install VDyPlot2Dict done"

uninstall : VDyPlot2Dictuninstall

$(foreach d,$(VDyPlot2Dict_dependencies),$(eval $(d)uninstall_dependencies += VDyPlot2Dictuninstall))

VDyPlot2Dictuninstall : $(VDyPlot2Dictuninstall_dependencies) ##$(cmt_local_VDyPlot2Dict_makefile)
	$(echo) "(constituents.make) Starting uninstall VDyPlot2Dict"
	@if test -f $(cmt_local_VDyPlot2Dict_makefile); then \
	  $(MAKE) -f $(cmt_local_VDyPlot2Dict_makefile) uninstall; \
	  fi
#	@$(MAKE) -f $(cmt_local_VDyPlot2Dict_makefile) uninstall
	$(echo) "(constituents.make) uninstall VDyPlot2Dict done"

remove_library_links :: VDyPlot2Dictuninstall

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ VDyPlot2Dict"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ VDyPlot2Dict done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_VViewerSelectorDict_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_VViewerSelectorDict_has_target_tag

#cmt_local_tagfile_VViewerSelectorDict = $(Dy_tag)_VViewerSelectorDict.make
cmt_local_tagfile_VViewerSelectorDict = $(bin)$(Dy_tag)_VViewerSelectorDict.make
cmt_local_setup_VViewerSelectorDict = $(bin)setup_VViewerSelectorDict$$$$.make
cmt_final_setup_VViewerSelectorDict = $(bin)setup_VViewerSelectorDict.make
#cmt_final_setup_VViewerSelectorDict = $(bin)Dy_VViewerSelectorDictsetup.make
cmt_local_VViewerSelectorDict_makefile = $(bin)VViewerSelectorDict.make

VViewerSelectorDict_extratags = -tag_add=target_VViewerSelectorDict

#$(cmt_local_tagfile_VViewerSelectorDict) : $(cmt_lock_setup)
ifndef QUICK
$(cmt_local_tagfile_VViewerSelectorDict) ::
else
$(cmt_local_tagfile_VViewerSelectorDict) :
endif
	$(echo) "(constituents.make) Rebuilding $@"; \
	  if test -f $(cmt_local_tagfile_VViewerSelectorDict); then /bin/rm -f $(cmt_local_tagfile_VViewerSelectorDict); fi ; \
	  $(cmtexe) -tag=$(tags) $(VViewerSelectorDict_extratags) build tag_makefile >>$(cmt_local_tagfile_VViewerSelectorDict)
	$(echo) "(constituents.make) Rebuilding $(cmt_final_setup_VViewerSelectorDict)"; \
	  test ! -f $(cmt_local_setup_VViewerSelectorDict) || \rm -f $(cmt_local_setup_VViewerSelectorDict); \
	  trap '\rm -f $(cmt_local_setup_VViewerSelectorDict)' 0 1 2 15; \
	  $(cmtexe) -tag=$(tags) $(VViewerSelectorDict_extratags) show setup >$(cmt_local_setup_VViewerSelectorDict) && \
	  if [ -f $(cmt_final_setup_VViewerSelectorDict) ] && \
	    \cmp -s $(cmt_final_setup_VViewerSelectorDict) $(cmt_local_setup_VViewerSelectorDict); then \
	    \rm $(cmt_local_setup_VViewerSelectorDict); else \
	    \mv -f $(cmt_local_setup_VViewerSelectorDict) $(cmt_final_setup_VViewerSelectorDict); fi

else

#cmt_local_tagfile_VViewerSelectorDict = $(Dy_tag).make
cmt_local_tagfile_VViewerSelectorDict = $(bin)$(Dy_tag).make
cmt_final_setup_VViewerSelectorDict = $(bin)setup.make
#cmt_final_setup_VViewerSelectorDict = $(bin)Dysetup.make
cmt_local_VViewerSelectorDict_makefile = $(bin)VViewerSelectorDict.make

endif

not_VViewerSelectorDict_dependencies = { n=0; for p in $?; do m=0; for d in $(VViewerSelectorDict_dependencies); do if [ $$p = $$d ]; then m=1; break; fi; done; if [ $$m -eq 0 ]; then n=1; break; fi; done; [ $$n -eq 1 ]; }

ifdef STRUCTURED_OUTPUT
VViewerSelectorDictdirs :
	@if test ! -d $(bin)VViewerSelectorDict; then $(mkdir) -p $(bin)VViewerSelectorDict; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)VViewerSelectorDict
else
VViewerSelectorDictdirs : ;
endif

#ifndef QUICK
#ifdef STRUCTURED_OUTPUT
# VViewerSelectorDictdirs ::
#	@if test ! -d $(bin)VViewerSelectorDict; then $(mkdir) -p $(bin)VViewerSelectorDict; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)VViewerSelectorDict
#
#$(cmt_local_VViewerSelectorDict_makefile) :: $(VViewerSelectorDict_dependencies) $(cmt_local_tagfile_VViewerSelectorDict) build_library_links dirs VViewerSelectorDictdirs
#else
#$(cmt_local_VViewerSelectorDict_makefile) :: $(VViewerSelectorDict_dependencies) $(cmt_local_tagfile_VViewerSelectorDict) build_library_links dirs
#endif
#else
#$(cmt_local_VViewerSelectorDict_makefile) :: $(cmt_local_tagfile_VViewerSelectorDict)
#endif

ifdef cmt_VViewerSelectorDict_has_target_tag

ifndef QUICK
$(cmt_local_VViewerSelectorDict_makefile) : $(VViewerSelectorDict_dependencies) build_library_links
	$(echo) "(constituents.make) Building VViewerSelectorDict.make"; \
	  $(cmtexe) -tag=$(tags) $(VViewerSelectorDict_extratags) build constituent_config -out=$(cmt_local_VViewerSelectorDict_makefile) VViewerSelectorDict
else
$(cmt_local_VViewerSelectorDict_makefile) : $(VViewerSelectorDict_dependencies) $(cmt_build_library_linksstamp) $(use_requirements)
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_VViewerSelectorDict) ] || \
	  [ ! -f $(cmt_final_setup_VViewerSelectorDict) ] || \
	  $(not_VViewerSelectorDict_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building VViewerSelectorDict.make"; \
	  $(cmtexe) -tag=$(tags) $(VViewerSelectorDict_extratags) build constituent_config -out=$(cmt_local_VViewerSelectorDict_makefile) VViewerSelectorDict; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_VViewerSelectorDict_makefile) : $(VViewerSelectorDict_dependencies) build_library_links
	$(echo) "(constituents.make) Building VViewerSelectorDict.make"; \
	  $(cmtexe) -f=$(bin)VViewerSelectorDict.in -tag=$(tags) $(VViewerSelectorDict_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_VViewerSelectorDict_makefile) VViewerSelectorDict
else
$(cmt_local_VViewerSelectorDict_makefile) : $(VViewerSelectorDict_dependencies) $(cmt_build_library_linksstamp) $(bin)VViewerSelectorDict.in
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_VViewerSelectorDict) ] || \
	  [ ! -f $(cmt_final_setup_VViewerSelectorDict) ] || \
	  $(not_VViewerSelectorDict_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building VViewerSelectorDict.make"; \
	  $(cmtexe) -f=$(bin)VViewerSelectorDict.in -tag=$(tags) $(VViewerSelectorDict_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_VViewerSelectorDict_makefile) VViewerSelectorDict; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(VViewerSelectorDict_extratags) build constituent_makefile -out=$(cmt_local_VViewerSelectorDict_makefile) VViewerSelectorDict

VViewerSelectorDict :: $(VViewerSelectorDict_dependencies) $(cmt_local_VViewerSelectorDict_makefile) dirs VViewerSelectorDictdirs
	$(echo) "(constituents.make) Starting VViewerSelectorDict"
	@if test -f $(cmt_local_VViewerSelectorDict_makefile); then \
	  $(MAKE) -f $(cmt_local_VViewerSelectorDict_makefile) VViewerSelectorDict; \
	  fi
#	@$(MAKE) -f $(cmt_local_VViewerSelectorDict_makefile) VViewerSelectorDict
	$(echo) "(constituents.make) VViewerSelectorDict done"

clean :: VViewerSelectorDictclean

VViewerSelectorDictclean :: $(VViewerSelectorDictclean_dependencies) ##$(cmt_local_VViewerSelectorDict_makefile)
	$(echo) "(constituents.make) Starting VViewerSelectorDictclean"
	@-if test -f $(cmt_local_VViewerSelectorDict_makefile); then \
	  $(MAKE) -f $(cmt_local_VViewerSelectorDict_makefile) VViewerSelectorDictclean; \
	fi
	$(echo) "(constituents.make) VViewerSelectorDictclean done"
#	@-$(MAKE) -f $(cmt_local_VViewerSelectorDict_makefile) VViewerSelectorDictclean

##	  /bin/rm -f $(cmt_local_VViewerSelectorDict_makefile) $(bin)VViewerSelectorDict_dependencies.make

install :: VViewerSelectorDictinstall

VViewerSelectorDictinstall :: $(VViewerSelectorDict_dependencies) $(cmt_local_VViewerSelectorDict_makefile)
	$(echo) "(constituents.make) Starting install VViewerSelectorDict"
	@-$(MAKE) -f $(cmt_local_VViewerSelectorDict_makefile) install
	$(echo) "(constituents.make) install VViewerSelectorDict done"

uninstall : VViewerSelectorDictuninstall

$(foreach d,$(VViewerSelectorDict_dependencies),$(eval $(d)uninstall_dependencies += VViewerSelectorDictuninstall))

VViewerSelectorDictuninstall : $(VViewerSelectorDictuninstall_dependencies) ##$(cmt_local_VViewerSelectorDict_makefile)
	$(echo) "(constituents.make) Starting uninstall VViewerSelectorDict"
	@if test -f $(cmt_local_VViewerSelectorDict_makefile); then \
	  $(MAKE) -f $(cmt_local_VViewerSelectorDict_makefile) uninstall; \
	  fi
#	@$(MAKE) -f $(cmt_local_VViewerSelectorDict_makefile) uninstall
	$(echo) "(constituents.make) uninstall VViewerSelectorDict done"

remove_library_links :: VViewerSelectorDictuninstall

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ VViewerSelectorDict"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ VViewerSelectorDict done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_URZoomSeveralDict_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_URZoomSeveralDict_has_target_tag

#cmt_local_tagfile_URZoomSeveralDict = $(Dy_tag)_URZoomSeveralDict.make
cmt_local_tagfile_URZoomSeveralDict = $(bin)$(Dy_tag)_URZoomSeveralDict.make
cmt_local_setup_URZoomSeveralDict = $(bin)setup_URZoomSeveralDict$$$$.make
cmt_final_setup_URZoomSeveralDict = $(bin)setup_URZoomSeveralDict.make
#cmt_final_setup_URZoomSeveralDict = $(bin)Dy_URZoomSeveralDictsetup.make
cmt_local_URZoomSeveralDict_makefile = $(bin)URZoomSeveralDict.make

URZoomSeveralDict_extratags = -tag_add=target_URZoomSeveralDict

#$(cmt_local_tagfile_URZoomSeveralDict) : $(cmt_lock_setup)
ifndef QUICK
$(cmt_local_tagfile_URZoomSeveralDict) ::
else
$(cmt_local_tagfile_URZoomSeveralDict) :
endif
	$(echo) "(constituents.make) Rebuilding $@"; \
	  if test -f $(cmt_local_tagfile_URZoomSeveralDict); then /bin/rm -f $(cmt_local_tagfile_URZoomSeveralDict); fi ; \
	  $(cmtexe) -tag=$(tags) $(URZoomSeveralDict_extratags) build tag_makefile >>$(cmt_local_tagfile_URZoomSeveralDict)
	$(echo) "(constituents.make) Rebuilding $(cmt_final_setup_URZoomSeveralDict)"; \
	  test ! -f $(cmt_local_setup_URZoomSeveralDict) || \rm -f $(cmt_local_setup_URZoomSeveralDict); \
	  trap '\rm -f $(cmt_local_setup_URZoomSeveralDict)' 0 1 2 15; \
	  $(cmtexe) -tag=$(tags) $(URZoomSeveralDict_extratags) show setup >$(cmt_local_setup_URZoomSeveralDict) && \
	  if [ -f $(cmt_final_setup_URZoomSeveralDict) ] && \
	    \cmp -s $(cmt_final_setup_URZoomSeveralDict) $(cmt_local_setup_URZoomSeveralDict); then \
	    \rm $(cmt_local_setup_URZoomSeveralDict); else \
	    \mv -f $(cmt_local_setup_URZoomSeveralDict) $(cmt_final_setup_URZoomSeveralDict); fi

else

#cmt_local_tagfile_URZoomSeveralDict = $(Dy_tag).make
cmt_local_tagfile_URZoomSeveralDict = $(bin)$(Dy_tag).make
cmt_final_setup_URZoomSeveralDict = $(bin)setup.make
#cmt_final_setup_URZoomSeveralDict = $(bin)Dysetup.make
cmt_local_URZoomSeveralDict_makefile = $(bin)URZoomSeveralDict.make

endif

not_URZoomSeveralDict_dependencies = { n=0; for p in $?; do m=0; for d in $(URZoomSeveralDict_dependencies); do if [ $$p = $$d ]; then m=1; break; fi; done; if [ $$m -eq 0 ]; then n=1; break; fi; done; [ $$n -eq 1 ]; }

ifdef STRUCTURED_OUTPUT
URZoomSeveralDictdirs :
	@if test ! -d $(bin)URZoomSeveralDict; then $(mkdir) -p $(bin)URZoomSeveralDict; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)URZoomSeveralDict
else
URZoomSeveralDictdirs : ;
endif

#ifndef QUICK
#ifdef STRUCTURED_OUTPUT
# URZoomSeveralDictdirs ::
#	@if test ! -d $(bin)URZoomSeveralDict; then $(mkdir) -p $(bin)URZoomSeveralDict; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)URZoomSeveralDict
#
#$(cmt_local_URZoomSeveralDict_makefile) :: $(URZoomSeveralDict_dependencies) $(cmt_local_tagfile_URZoomSeveralDict) build_library_links dirs URZoomSeveralDictdirs
#else
#$(cmt_local_URZoomSeveralDict_makefile) :: $(URZoomSeveralDict_dependencies) $(cmt_local_tagfile_URZoomSeveralDict) build_library_links dirs
#endif
#else
#$(cmt_local_URZoomSeveralDict_makefile) :: $(cmt_local_tagfile_URZoomSeveralDict)
#endif

ifdef cmt_URZoomSeveralDict_has_target_tag

ifndef QUICK
$(cmt_local_URZoomSeveralDict_makefile) : $(URZoomSeveralDict_dependencies) build_library_links
	$(echo) "(constituents.make) Building URZoomSeveralDict.make"; \
	  $(cmtexe) -tag=$(tags) $(URZoomSeveralDict_extratags) build constituent_config -out=$(cmt_local_URZoomSeveralDict_makefile) URZoomSeveralDict
else
$(cmt_local_URZoomSeveralDict_makefile) : $(URZoomSeveralDict_dependencies) $(cmt_build_library_linksstamp) $(use_requirements)
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_URZoomSeveralDict) ] || \
	  [ ! -f $(cmt_final_setup_URZoomSeveralDict) ] || \
	  $(not_URZoomSeveralDict_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building URZoomSeveralDict.make"; \
	  $(cmtexe) -tag=$(tags) $(URZoomSeveralDict_extratags) build constituent_config -out=$(cmt_local_URZoomSeveralDict_makefile) URZoomSeveralDict; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_URZoomSeveralDict_makefile) : $(URZoomSeveralDict_dependencies) build_library_links
	$(echo) "(constituents.make) Building URZoomSeveralDict.make"; \
	  $(cmtexe) -f=$(bin)URZoomSeveralDict.in -tag=$(tags) $(URZoomSeveralDict_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_URZoomSeveralDict_makefile) URZoomSeveralDict
else
$(cmt_local_URZoomSeveralDict_makefile) : $(URZoomSeveralDict_dependencies) $(cmt_build_library_linksstamp) $(bin)URZoomSeveralDict.in
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_URZoomSeveralDict) ] || \
	  [ ! -f $(cmt_final_setup_URZoomSeveralDict) ] || \
	  $(not_URZoomSeveralDict_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building URZoomSeveralDict.make"; \
	  $(cmtexe) -f=$(bin)URZoomSeveralDict.in -tag=$(tags) $(URZoomSeveralDict_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_URZoomSeveralDict_makefile) URZoomSeveralDict; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(URZoomSeveralDict_extratags) build constituent_makefile -out=$(cmt_local_URZoomSeveralDict_makefile) URZoomSeveralDict

URZoomSeveralDict :: $(URZoomSeveralDict_dependencies) $(cmt_local_URZoomSeveralDict_makefile) dirs URZoomSeveralDictdirs
	$(echo) "(constituents.make) Starting URZoomSeveralDict"
	@if test -f $(cmt_local_URZoomSeveralDict_makefile); then \
	  $(MAKE) -f $(cmt_local_URZoomSeveralDict_makefile) URZoomSeveralDict; \
	  fi
#	@$(MAKE) -f $(cmt_local_URZoomSeveralDict_makefile) URZoomSeveralDict
	$(echo) "(constituents.make) URZoomSeveralDict done"

clean :: URZoomSeveralDictclean

URZoomSeveralDictclean :: $(URZoomSeveralDictclean_dependencies) ##$(cmt_local_URZoomSeveralDict_makefile)
	$(echo) "(constituents.make) Starting URZoomSeveralDictclean"
	@-if test -f $(cmt_local_URZoomSeveralDict_makefile); then \
	  $(MAKE) -f $(cmt_local_URZoomSeveralDict_makefile) URZoomSeveralDictclean; \
	fi
	$(echo) "(constituents.make) URZoomSeveralDictclean done"
#	@-$(MAKE) -f $(cmt_local_URZoomSeveralDict_makefile) URZoomSeveralDictclean

##	  /bin/rm -f $(cmt_local_URZoomSeveralDict_makefile) $(bin)URZoomSeveralDict_dependencies.make

install :: URZoomSeveralDictinstall

URZoomSeveralDictinstall :: $(URZoomSeveralDict_dependencies) $(cmt_local_URZoomSeveralDict_makefile)
	$(echo) "(constituents.make) Starting install URZoomSeveralDict"
	@-$(MAKE) -f $(cmt_local_URZoomSeveralDict_makefile) install
	$(echo) "(constituents.make) install URZoomSeveralDict done"

uninstall : URZoomSeveralDictuninstall

$(foreach d,$(URZoomSeveralDict_dependencies),$(eval $(d)uninstall_dependencies += URZoomSeveralDictuninstall))

URZoomSeveralDictuninstall : $(URZoomSeveralDictuninstall_dependencies) ##$(cmt_local_URZoomSeveralDict_makefile)
	$(echo) "(constituents.make) Starting uninstall URZoomSeveralDict"
	@if test -f $(cmt_local_URZoomSeveralDict_makefile); then \
	  $(MAKE) -f $(cmt_local_URZoomSeveralDict_makefile) uninstall; \
	  fi
#	@$(MAKE) -f $(cmt_local_URZoomSeveralDict_makefile) uninstall
	$(echo) "(constituents.make) uninstall URZoomSeveralDict done"

remove_library_links :: URZoomSeveralDictuninstall

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ URZoomSeveralDict"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ URZoomSeveralDict done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_Wrapper_checkDict_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_Wrapper_checkDict_has_target_tag

#cmt_local_tagfile_Wrapper_checkDict = $(Dy_tag)_Wrapper_checkDict.make
cmt_local_tagfile_Wrapper_checkDict = $(bin)$(Dy_tag)_Wrapper_checkDict.make
cmt_local_setup_Wrapper_checkDict = $(bin)setup_Wrapper_checkDict$$$$.make
cmt_final_setup_Wrapper_checkDict = $(bin)setup_Wrapper_checkDict.make
#cmt_final_setup_Wrapper_checkDict = $(bin)Dy_Wrapper_checkDictsetup.make
cmt_local_Wrapper_checkDict_makefile = $(bin)Wrapper_checkDict.make

Wrapper_checkDict_extratags = -tag_add=target_Wrapper_checkDict

#$(cmt_local_tagfile_Wrapper_checkDict) : $(cmt_lock_setup)
ifndef QUICK
$(cmt_local_tagfile_Wrapper_checkDict) ::
else
$(cmt_local_tagfile_Wrapper_checkDict) :
endif
	$(echo) "(constituents.make) Rebuilding $@"; \
	  if test -f $(cmt_local_tagfile_Wrapper_checkDict); then /bin/rm -f $(cmt_local_tagfile_Wrapper_checkDict); fi ; \
	  $(cmtexe) -tag=$(tags) $(Wrapper_checkDict_extratags) build tag_makefile >>$(cmt_local_tagfile_Wrapper_checkDict)
	$(echo) "(constituents.make) Rebuilding $(cmt_final_setup_Wrapper_checkDict)"; \
	  test ! -f $(cmt_local_setup_Wrapper_checkDict) || \rm -f $(cmt_local_setup_Wrapper_checkDict); \
	  trap '\rm -f $(cmt_local_setup_Wrapper_checkDict)' 0 1 2 15; \
	  $(cmtexe) -tag=$(tags) $(Wrapper_checkDict_extratags) show setup >$(cmt_local_setup_Wrapper_checkDict) && \
	  if [ -f $(cmt_final_setup_Wrapper_checkDict) ] && \
	    \cmp -s $(cmt_final_setup_Wrapper_checkDict) $(cmt_local_setup_Wrapper_checkDict); then \
	    \rm $(cmt_local_setup_Wrapper_checkDict); else \
	    \mv -f $(cmt_local_setup_Wrapper_checkDict) $(cmt_final_setup_Wrapper_checkDict); fi

else

#cmt_local_tagfile_Wrapper_checkDict = $(Dy_tag).make
cmt_local_tagfile_Wrapper_checkDict = $(bin)$(Dy_tag).make
cmt_final_setup_Wrapper_checkDict = $(bin)setup.make
#cmt_final_setup_Wrapper_checkDict = $(bin)Dysetup.make
cmt_local_Wrapper_checkDict_makefile = $(bin)Wrapper_checkDict.make

endif

not_Wrapper_checkDict_dependencies = { n=0; for p in $?; do m=0; for d in $(Wrapper_checkDict_dependencies); do if [ $$p = $$d ]; then m=1; break; fi; done; if [ $$m -eq 0 ]; then n=1; break; fi; done; [ $$n -eq 1 ]; }

ifdef STRUCTURED_OUTPUT
Wrapper_checkDictdirs :
	@if test ! -d $(bin)Wrapper_checkDict; then $(mkdir) -p $(bin)Wrapper_checkDict; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)Wrapper_checkDict
else
Wrapper_checkDictdirs : ;
endif

#ifndef QUICK
#ifdef STRUCTURED_OUTPUT
# Wrapper_checkDictdirs ::
#	@if test ! -d $(bin)Wrapper_checkDict; then $(mkdir) -p $(bin)Wrapper_checkDict; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)Wrapper_checkDict
#
#$(cmt_local_Wrapper_checkDict_makefile) :: $(Wrapper_checkDict_dependencies) $(cmt_local_tagfile_Wrapper_checkDict) build_library_links dirs Wrapper_checkDictdirs
#else
#$(cmt_local_Wrapper_checkDict_makefile) :: $(Wrapper_checkDict_dependencies) $(cmt_local_tagfile_Wrapper_checkDict) build_library_links dirs
#endif
#else
#$(cmt_local_Wrapper_checkDict_makefile) :: $(cmt_local_tagfile_Wrapper_checkDict)
#endif

ifdef cmt_Wrapper_checkDict_has_target_tag

ifndef QUICK
$(cmt_local_Wrapper_checkDict_makefile) : $(Wrapper_checkDict_dependencies) build_library_links
	$(echo) "(constituents.make) Building Wrapper_checkDict.make"; \
	  $(cmtexe) -tag=$(tags) $(Wrapper_checkDict_extratags) build constituent_config -out=$(cmt_local_Wrapper_checkDict_makefile) Wrapper_checkDict
else
$(cmt_local_Wrapper_checkDict_makefile) : $(Wrapper_checkDict_dependencies) $(cmt_build_library_linksstamp) $(use_requirements)
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_Wrapper_checkDict) ] || \
	  [ ! -f $(cmt_final_setup_Wrapper_checkDict) ] || \
	  $(not_Wrapper_checkDict_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building Wrapper_checkDict.make"; \
	  $(cmtexe) -tag=$(tags) $(Wrapper_checkDict_extratags) build constituent_config -out=$(cmt_local_Wrapper_checkDict_makefile) Wrapper_checkDict; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_Wrapper_checkDict_makefile) : $(Wrapper_checkDict_dependencies) build_library_links
	$(echo) "(constituents.make) Building Wrapper_checkDict.make"; \
	  $(cmtexe) -f=$(bin)Wrapper_checkDict.in -tag=$(tags) $(Wrapper_checkDict_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_Wrapper_checkDict_makefile) Wrapper_checkDict
else
$(cmt_local_Wrapper_checkDict_makefile) : $(Wrapper_checkDict_dependencies) $(cmt_build_library_linksstamp) $(bin)Wrapper_checkDict.in
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_Wrapper_checkDict) ] || \
	  [ ! -f $(cmt_final_setup_Wrapper_checkDict) ] || \
	  $(not_Wrapper_checkDict_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building Wrapper_checkDict.make"; \
	  $(cmtexe) -f=$(bin)Wrapper_checkDict.in -tag=$(tags) $(Wrapper_checkDict_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_Wrapper_checkDict_makefile) Wrapper_checkDict; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(Wrapper_checkDict_extratags) build constituent_makefile -out=$(cmt_local_Wrapper_checkDict_makefile) Wrapper_checkDict

Wrapper_checkDict :: $(Wrapper_checkDict_dependencies) $(cmt_local_Wrapper_checkDict_makefile) dirs Wrapper_checkDictdirs
	$(echo) "(constituents.make) Starting Wrapper_checkDict"
	@if test -f $(cmt_local_Wrapper_checkDict_makefile); then \
	  $(MAKE) -f $(cmt_local_Wrapper_checkDict_makefile) Wrapper_checkDict; \
	  fi
#	@$(MAKE) -f $(cmt_local_Wrapper_checkDict_makefile) Wrapper_checkDict
	$(echo) "(constituents.make) Wrapper_checkDict done"

clean :: Wrapper_checkDictclean

Wrapper_checkDictclean :: $(Wrapper_checkDictclean_dependencies) ##$(cmt_local_Wrapper_checkDict_makefile)
	$(echo) "(constituents.make) Starting Wrapper_checkDictclean"
	@-if test -f $(cmt_local_Wrapper_checkDict_makefile); then \
	  $(MAKE) -f $(cmt_local_Wrapper_checkDict_makefile) Wrapper_checkDictclean; \
	fi
	$(echo) "(constituents.make) Wrapper_checkDictclean done"
#	@-$(MAKE) -f $(cmt_local_Wrapper_checkDict_makefile) Wrapper_checkDictclean

##	  /bin/rm -f $(cmt_local_Wrapper_checkDict_makefile) $(bin)Wrapper_checkDict_dependencies.make

install :: Wrapper_checkDictinstall

Wrapper_checkDictinstall :: $(Wrapper_checkDict_dependencies) $(cmt_local_Wrapper_checkDict_makefile)
	$(echo) "(constituents.make) Starting install Wrapper_checkDict"
	@-$(MAKE) -f $(cmt_local_Wrapper_checkDict_makefile) install
	$(echo) "(constituents.make) install Wrapper_checkDict done"

uninstall : Wrapper_checkDictuninstall

$(foreach d,$(Wrapper_checkDict_dependencies),$(eval $(d)uninstall_dependencies += Wrapper_checkDictuninstall))

Wrapper_checkDictuninstall : $(Wrapper_checkDictuninstall_dependencies) ##$(cmt_local_Wrapper_checkDict_makefile)
	$(echo) "(constituents.make) Starting uninstall Wrapper_checkDict"
	@if test -f $(cmt_local_Wrapper_checkDict_makefile); then \
	  $(MAKE) -f $(cmt_local_Wrapper_checkDict_makefile) uninstall; \
	  fi
#	@$(MAKE) -f $(cmt_local_Wrapper_checkDict_makefile) uninstall
	$(echo) "(constituents.make) uninstall Wrapper_checkDict done"

remove_library_links :: Wrapper_checkDictuninstall

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ Wrapper_checkDict"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ Wrapper_checkDict done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_Dy_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_Dy_has_target_tag

#cmt_local_tagfile_Dy = $(Dy_tag)_Dy.make
cmt_local_tagfile_Dy = $(bin)$(Dy_tag)_Dy.make
cmt_local_setup_Dy = $(bin)setup_Dy$$$$.make
cmt_final_setup_Dy = $(bin)setup_Dy.make
#cmt_final_setup_Dy = $(bin)Dy_Dysetup.make
cmt_local_Dy_makefile = $(bin)Dy.make

Dy_extratags = -tag_add=target_Dy

#$(cmt_local_tagfile_Dy) : $(cmt_lock_setup)
ifndef QUICK
$(cmt_local_tagfile_Dy) ::
else
$(cmt_local_tagfile_Dy) :
endif
	$(echo) "(constituents.make) Rebuilding $@"; \
	  if test -f $(cmt_local_tagfile_Dy); then /bin/rm -f $(cmt_local_tagfile_Dy); fi ; \
	  $(cmtexe) -tag=$(tags) $(Dy_extratags) build tag_makefile >>$(cmt_local_tagfile_Dy)
	$(echo) "(constituents.make) Rebuilding $(cmt_final_setup_Dy)"; \
	  test ! -f $(cmt_local_setup_Dy) || \rm -f $(cmt_local_setup_Dy); \
	  trap '\rm -f $(cmt_local_setup_Dy)' 0 1 2 15; \
	  $(cmtexe) -tag=$(tags) $(Dy_extratags) show setup >$(cmt_local_setup_Dy) && \
	  if [ -f $(cmt_final_setup_Dy) ] && \
	    \cmp -s $(cmt_final_setup_Dy) $(cmt_local_setup_Dy); then \
	    \rm $(cmt_local_setup_Dy); else \
	    \mv -f $(cmt_local_setup_Dy) $(cmt_final_setup_Dy); fi

else

#cmt_local_tagfile_Dy = $(Dy_tag).make
cmt_local_tagfile_Dy = $(bin)$(Dy_tag).make
cmt_final_setup_Dy = $(bin)setup.make
#cmt_final_setup_Dy = $(bin)Dysetup.make
cmt_local_Dy_makefile = $(bin)Dy.make

endif

not_Dy_dependencies = { n=0; for p in $?; do m=0; for d in $(Dy_dependencies); do if [ $$p = $$d ]; then m=1; break; fi; done; if [ $$m -eq 0 ]; then n=1; break; fi; done; [ $$n -eq 1 ]; }

ifdef STRUCTURED_OUTPUT
Dydirs :
	@if test ! -d $(bin)Dy; then $(mkdir) -p $(bin)Dy; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)Dy
else
Dydirs : ;
endif

#ifndef QUICK
#ifdef STRUCTURED_OUTPUT
# Dydirs ::
#	@if test ! -d $(bin)Dy; then $(mkdir) -p $(bin)Dy; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)Dy
#
#$(cmt_local_Dy_makefile) :: $(Dy_dependencies) $(cmt_local_tagfile_Dy) build_library_links dirs Dydirs
#else
#$(cmt_local_Dy_makefile) :: $(Dy_dependencies) $(cmt_local_tagfile_Dy) build_library_links dirs
#endif
#else
#$(cmt_local_Dy_makefile) :: $(cmt_local_tagfile_Dy)
#endif

ifdef cmt_Dy_has_target_tag

ifndef QUICK
$(cmt_local_Dy_makefile) : $(Dy_dependencies) build_library_links
	$(echo) "(constituents.make) Building Dy.make"; \
	  $(cmtexe) -tag=$(tags) $(Dy_extratags) build constituent_config -out=$(cmt_local_Dy_makefile) Dy
else
$(cmt_local_Dy_makefile) : $(Dy_dependencies) $(cmt_build_library_linksstamp) $(use_requirements)
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_Dy) ] || \
	  [ ! -f $(cmt_final_setup_Dy) ] || \
	  $(not_Dy_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building Dy.make"; \
	  $(cmtexe) -tag=$(tags) $(Dy_extratags) build constituent_config -out=$(cmt_local_Dy_makefile) Dy; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_Dy_makefile) : $(Dy_dependencies) build_library_links
	$(echo) "(constituents.make) Building Dy.make"; \
	  $(cmtexe) -f=$(bin)Dy.in -tag=$(tags) $(Dy_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_Dy_makefile) Dy
else
$(cmt_local_Dy_makefile) : $(Dy_dependencies) $(cmt_build_library_linksstamp) $(bin)Dy.in
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_Dy) ] || \
	  [ ! -f $(cmt_final_setup_Dy) ] || \
	  $(not_Dy_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building Dy.make"; \
	  $(cmtexe) -f=$(bin)Dy.in -tag=$(tags) $(Dy_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_Dy_makefile) Dy; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(Dy_extratags) build constituent_makefile -out=$(cmt_local_Dy_makefile) Dy

Dy :: $(Dy_dependencies) $(cmt_local_Dy_makefile) dirs Dydirs
	$(echo) "(constituents.make) Starting Dy"
	@if test -f $(cmt_local_Dy_makefile); then \
	  $(MAKE) -f $(cmt_local_Dy_makefile) Dy; \
	  fi
#	@$(MAKE) -f $(cmt_local_Dy_makefile) Dy
	$(echo) "(constituents.make) Dy done"

clean :: Dyclean

Dyclean :: $(Dyclean_dependencies) ##$(cmt_local_Dy_makefile)
	$(echo) "(constituents.make) Starting Dyclean"
	@-if test -f $(cmt_local_Dy_makefile); then \
	  $(MAKE) -f $(cmt_local_Dy_makefile) Dyclean; \
	fi
	$(echo) "(constituents.make) Dyclean done"
#	@-$(MAKE) -f $(cmt_local_Dy_makefile) Dyclean

##	  /bin/rm -f $(cmt_local_Dy_makefile) $(bin)Dy_dependencies.make

install :: Dyinstall

Dyinstall :: $(Dy_dependencies) $(cmt_local_Dy_makefile)
	$(echo) "(constituents.make) Starting install Dy"
	@-$(MAKE) -f $(cmt_local_Dy_makefile) install
	$(echo) "(constituents.make) install Dy done"

uninstall : Dyuninstall

$(foreach d,$(Dy_dependencies),$(eval $(d)uninstall_dependencies += Dyuninstall))

Dyuninstall : $(Dyuninstall_dependencies) ##$(cmt_local_Dy_makefile)
	$(echo) "(constituents.make) Starting uninstall Dy"
	@if test -f $(cmt_local_Dy_makefile); then \
	  $(MAKE) -f $(cmt_local_Dy_makefile) uninstall; \
	  fi
#	@$(MAKE) -f $(cmt_local_Dy_makefile) uninstall
	$(echo) "(constituents.make) uninstall Dy done"

remove_library_links :: Dyuninstall

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ Dy"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ Dy done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_dataDisplay_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_dataDisplay_has_target_tag

#cmt_local_tagfile_dataDisplay = $(Dy_tag)_dataDisplay.make
cmt_local_tagfile_dataDisplay = $(bin)$(Dy_tag)_dataDisplay.make
cmt_local_setup_dataDisplay = $(bin)setup_dataDisplay$$$$.make
cmt_final_setup_dataDisplay = $(bin)setup_dataDisplay.make
#cmt_final_setup_dataDisplay = $(bin)Dy_dataDisplaysetup.make
cmt_local_dataDisplay_makefile = $(bin)dataDisplay.make

dataDisplay_extratags = -tag_add=target_dataDisplay

#$(cmt_local_tagfile_dataDisplay) : $(cmt_lock_setup)
ifndef QUICK
$(cmt_local_tagfile_dataDisplay) ::
else
$(cmt_local_tagfile_dataDisplay) :
endif
	$(echo) "(constituents.make) Rebuilding $@"; \
	  if test -f $(cmt_local_tagfile_dataDisplay); then /bin/rm -f $(cmt_local_tagfile_dataDisplay); fi ; \
	  $(cmtexe) -tag=$(tags) $(dataDisplay_extratags) build tag_makefile >>$(cmt_local_tagfile_dataDisplay)
	$(echo) "(constituents.make) Rebuilding $(cmt_final_setup_dataDisplay)"; \
	  test ! -f $(cmt_local_setup_dataDisplay) || \rm -f $(cmt_local_setup_dataDisplay); \
	  trap '\rm -f $(cmt_local_setup_dataDisplay)' 0 1 2 15; \
	  $(cmtexe) -tag=$(tags) $(dataDisplay_extratags) show setup >$(cmt_local_setup_dataDisplay) && \
	  if [ -f $(cmt_final_setup_dataDisplay) ] && \
	    \cmp -s $(cmt_final_setup_dataDisplay) $(cmt_local_setup_dataDisplay); then \
	    \rm $(cmt_local_setup_dataDisplay); else \
	    \mv -f $(cmt_local_setup_dataDisplay) $(cmt_final_setup_dataDisplay); fi

else

#cmt_local_tagfile_dataDisplay = $(Dy_tag).make
cmt_local_tagfile_dataDisplay = $(bin)$(Dy_tag).make
cmt_final_setup_dataDisplay = $(bin)setup.make
#cmt_final_setup_dataDisplay = $(bin)Dysetup.make
cmt_local_dataDisplay_makefile = $(bin)dataDisplay.make

endif

not_dataDisplay_dependencies = { n=0; for p in $?; do m=0; for d in $(dataDisplay_dependencies); do if [ $$p = $$d ]; then m=1; break; fi; done; if [ $$m -eq 0 ]; then n=1; break; fi; done; [ $$n -eq 1 ]; }

ifdef STRUCTURED_OUTPUT
dataDisplaydirs :
	@if test ! -d $(bin)dataDisplay; then $(mkdir) -p $(bin)dataDisplay; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)dataDisplay
else
dataDisplaydirs : ;
endif

#ifndef QUICK
#ifdef STRUCTURED_OUTPUT
# dataDisplaydirs ::
#	@if test ! -d $(bin)dataDisplay; then $(mkdir) -p $(bin)dataDisplay; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)dataDisplay
#
#$(cmt_local_dataDisplay_makefile) :: $(dataDisplay_dependencies) $(cmt_local_tagfile_dataDisplay) build_library_links dirs dataDisplaydirs
#else
#$(cmt_local_dataDisplay_makefile) :: $(dataDisplay_dependencies) $(cmt_local_tagfile_dataDisplay) build_library_links dirs
#endif
#else
#$(cmt_local_dataDisplay_makefile) :: $(cmt_local_tagfile_dataDisplay)
#endif

ifdef cmt_dataDisplay_has_target_tag

ifndef QUICK
$(cmt_local_dataDisplay_makefile) : $(dataDisplay_dependencies) build_library_links
	$(echo) "(constituents.make) Building dataDisplay.make"; \
	  $(cmtexe) -tag=$(tags) $(dataDisplay_extratags) build constituent_config -out=$(cmt_local_dataDisplay_makefile) dataDisplay
else
$(cmt_local_dataDisplay_makefile) : $(dataDisplay_dependencies) $(cmt_build_library_linksstamp) $(use_requirements)
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_dataDisplay) ] || \
	  [ ! -f $(cmt_final_setup_dataDisplay) ] || \
	  $(not_dataDisplay_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building dataDisplay.make"; \
	  $(cmtexe) -tag=$(tags) $(dataDisplay_extratags) build constituent_config -out=$(cmt_local_dataDisplay_makefile) dataDisplay; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_dataDisplay_makefile) : $(dataDisplay_dependencies) build_library_links
	$(echo) "(constituents.make) Building dataDisplay.make"; \
	  $(cmtexe) -f=$(bin)dataDisplay.in -tag=$(tags) $(dataDisplay_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_dataDisplay_makefile) dataDisplay
else
$(cmt_local_dataDisplay_makefile) : $(dataDisplay_dependencies) $(cmt_build_library_linksstamp) $(bin)dataDisplay.in
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_dataDisplay) ] || \
	  [ ! -f $(cmt_final_setup_dataDisplay) ] || \
	  $(not_dataDisplay_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building dataDisplay.make"; \
	  $(cmtexe) -f=$(bin)dataDisplay.in -tag=$(tags) $(dataDisplay_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_dataDisplay_makefile) dataDisplay; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(dataDisplay_extratags) build constituent_makefile -out=$(cmt_local_dataDisplay_makefile) dataDisplay

dataDisplay :: $(dataDisplay_dependencies) $(cmt_local_dataDisplay_makefile) dirs dataDisplaydirs
	$(echo) "(constituents.make) Starting dataDisplay"
	@if test -f $(cmt_local_dataDisplay_makefile); then \
	  $(MAKE) -f $(cmt_local_dataDisplay_makefile) dataDisplay; \
	  fi
#	@$(MAKE) -f $(cmt_local_dataDisplay_makefile) dataDisplay
	$(echo) "(constituents.make) dataDisplay done"

clean :: dataDisplayclean

dataDisplayclean :: $(dataDisplayclean_dependencies) ##$(cmt_local_dataDisplay_makefile)
	$(echo) "(constituents.make) Starting dataDisplayclean"
	@-if test -f $(cmt_local_dataDisplay_makefile); then \
	  $(MAKE) -f $(cmt_local_dataDisplay_makefile) dataDisplayclean; \
	fi
	$(echo) "(constituents.make) dataDisplayclean done"
#	@-$(MAKE) -f $(cmt_local_dataDisplay_makefile) dataDisplayclean

##	  /bin/rm -f $(cmt_local_dataDisplay_makefile) $(bin)dataDisplay_dependencies.make

install :: dataDisplayinstall

dataDisplayinstall :: $(dataDisplay_dependencies) $(cmt_local_dataDisplay_makefile)
	$(echo) "(constituents.make) Starting install dataDisplay"
	@-$(MAKE) -f $(cmt_local_dataDisplay_makefile) install
	$(echo) "(constituents.make) install dataDisplay done"

uninstall : dataDisplayuninstall

$(foreach d,$(dataDisplay_dependencies),$(eval $(d)uninstall_dependencies += dataDisplayuninstall))

dataDisplayuninstall : $(dataDisplayuninstall_dependencies) ##$(cmt_local_dataDisplay_makefile)
	$(echo) "(constituents.make) Starting uninstall dataDisplay"
	@if test -f $(cmt_local_dataDisplay_makefile); then \
	  $(MAKE) -f $(cmt_local_dataDisplay_makefile) uninstall; \
	  fi
#	@$(MAKE) -f $(cmt_local_dataDisplay_makefile) uninstall
	$(echo) "(constituents.make) uninstall dataDisplay done"

remove_library_links :: dataDisplayuninstall

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ dataDisplay"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ dataDisplay done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_install_rel_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_install_rel_has_target_tag

#cmt_local_tagfile_install_rel = $(Dy_tag)_install_rel.make
cmt_local_tagfile_install_rel = $(bin)$(Dy_tag)_install_rel.make
cmt_local_setup_install_rel = $(bin)setup_install_rel$$$$.make
cmt_final_setup_install_rel = $(bin)setup_install_rel.make
#cmt_final_setup_install_rel = $(bin)Dy_install_relsetup.make
cmt_local_install_rel_makefile = $(bin)install_rel.make

install_rel_extratags = -tag_add=target_install_rel

#$(cmt_local_tagfile_install_rel) : $(cmt_lock_setup)
ifndef QUICK
$(cmt_local_tagfile_install_rel) ::
else
$(cmt_local_tagfile_install_rel) :
endif
	$(echo) "(constituents.make) Rebuilding $@"; \
	  if test -f $(cmt_local_tagfile_install_rel); then /bin/rm -f $(cmt_local_tagfile_install_rel); fi ; \
	  $(cmtexe) -tag=$(tags) $(install_rel_extratags) build tag_makefile >>$(cmt_local_tagfile_install_rel)
	$(echo) "(constituents.make) Rebuilding $(cmt_final_setup_install_rel)"; \
	  test ! -f $(cmt_local_setup_install_rel) || \rm -f $(cmt_local_setup_install_rel); \
	  trap '\rm -f $(cmt_local_setup_install_rel)' 0 1 2 15; \
	  $(cmtexe) -tag=$(tags) $(install_rel_extratags) show setup >$(cmt_local_setup_install_rel) && \
	  if [ -f $(cmt_final_setup_install_rel) ] && \
	    \cmp -s $(cmt_final_setup_install_rel) $(cmt_local_setup_install_rel); then \
	    \rm $(cmt_local_setup_install_rel); else \
	    \mv -f $(cmt_local_setup_install_rel) $(cmt_final_setup_install_rel); fi

else

#cmt_local_tagfile_install_rel = $(Dy_tag).make
cmt_local_tagfile_install_rel = $(bin)$(Dy_tag).make
cmt_final_setup_install_rel = $(bin)setup.make
#cmt_final_setup_install_rel = $(bin)Dysetup.make
cmt_local_install_rel_makefile = $(bin)install_rel.make

endif

not_install_rel_dependencies = { n=0; for p in $?; do m=0; for d in $(install_rel_dependencies); do if [ $$p = $$d ]; then m=1; break; fi; done; if [ $$m -eq 0 ]; then n=1; break; fi; done; [ $$n -eq 1 ]; }

ifdef STRUCTURED_OUTPUT
install_reldirs :
	@if test ! -d $(bin)install_rel; then $(mkdir) -p $(bin)install_rel; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)install_rel
else
install_reldirs : ;
endif

#ifndef QUICK
#ifdef STRUCTURED_OUTPUT
# install_reldirs ::
#	@if test ! -d $(bin)install_rel; then $(mkdir) -p $(bin)install_rel; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)install_rel
#
#$(cmt_local_install_rel_makefile) :: $(install_rel_dependencies) $(cmt_local_tagfile_install_rel) build_library_links dirs install_reldirs
#else
#$(cmt_local_install_rel_makefile) :: $(install_rel_dependencies) $(cmt_local_tagfile_install_rel) build_library_links dirs
#endif
#else
#$(cmt_local_install_rel_makefile) :: $(cmt_local_tagfile_install_rel)
#endif

ifdef cmt_install_rel_has_target_tag

ifndef QUICK
$(cmt_local_install_rel_makefile) : $(install_rel_dependencies) build_library_links
	$(echo) "(constituents.make) Building install_rel.make"; \
	  $(cmtexe) -tag=$(tags) $(install_rel_extratags) build constituent_config -out=$(cmt_local_install_rel_makefile) install_rel
else
$(cmt_local_install_rel_makefile) : $(install_rel_dependencies) $(cmt_build_library_linksstamp) $(use_requirements)
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_install_rel) ] || \
	  [ ! -f $(cmt_final_setup_install_rel) ] || \
	  $(not_install_rel_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building install_rel.make"; \
	  $(cmtexe) -tag=$(tags) $(install_rel_extratags) build constituent_config -out=$(cmt_local_install_rel_makefile) install_rel; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_install_rel_makefile) : $(install_rel_dependencies) build_library_links
	$(echo) "(constituents.make) Building install_rel.make"; \
	  $(cmtexe) -f=$(bin)install_rel.in -tag=$(tags) $(install_rel_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_install_rel_makefile) install_rel
else
$(cmt_local_install_rel_makefile) : $(install_rel_dependencies) $(cmt_build_library_linksstamp) $(bin)install_rel.in
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_install_rel) ] || \
	  [ ! -f $(cmt_final_setup_install_rel) ] || \
	  $(not_install_rel_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building install_rel.make"; \
	  $(cmtexe) -f=$(bin)install_rel.in -tag=$(tags) $(install_rel_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_install_rel_makefile) install_rel; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(install_rel_extratags) build constituent_makefile -out=$(cmt_local_install_rel_makefile) install_rel

install_rel :: $(install_rel_dependencies) $(cmt_local_install_rel_makefile) dirs install_reldirs
	$(echo) "(constituents.make) Starting install_rel"
	@if test -f $(cmt_local_install_rel_makefile); then \
	  $(MAKE) -f $(cmt_local_install_rel_makefile) install_rel; \
	  fi
#	@$(MAKE) -f $(cmt_local_install_rel_makefile) install_rel
	$(echo) "(constituents.make) install_rel done"

clean :: install_relclean

install_relclean :: $(install_relclean_dependencies) ##$(cmt_local_install_rel_makefile)
	$(echo) "(constituents.make) Starting install_relclean"
	@-if test -f $(cmt_local_install_rel_makefile); then \
	  $(MAKE) -f $(cmt_local_install_rel_makefile) install_relclean; \
	fi
	$(echo) "(constituents.make) install_relclean done"
#	@-$(MAKE) -f $(cmt_local_install_rel_makefile) install_relclean

##	  /bin/rm -f $(cmt_local_install_rel_makefile) $(bin)install_rel_dependencies.make

install :: install_relinstall

install_relinstall :: $(install_rel_dependencies) $(cmt_local_install_rel_makefile)
	$(echo) "(constituents.make) Starting install install_rel"
	@-$(MAKE) -f $(cmt_local_install_rel_makefile) install
	$(echo) "(constituents.make) install install_rel done"

uninstall : install_reluninstall

$(foreach d,$(install_rel_dependencies),$(eval $(d)uninstall_dependencies += install_reluninstall))

install_reluninstall : $(install_reluninstall_dependencies) ##$(cmt_local_install_rel_makefile)
	$(echo) "(constituents.make) Starting uninstall install_rel"
	@if test -f $(cmt_local_install_rel_makefile); then \
	  $(MAKE) -f $(cmt_local_install_rel_makefile) uninstall; \
	  fi
#	@$(MAKE) -f $(cmt_local_install_rel_makefile) uninstall
	$(echo) "(constituents.make) uninstall install_rel done"

remove_library_links :: install_reluninstall

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ install_rel"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ install_rel done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_make_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_make_has_target_tag

#cmt_local_tagfile_make = $(Dy_tag)_make.make
cmt_local_tagfile_make = $(bin)$(Dy_tag)_make.make
cmt_local_setup_make = $(bin)setup_make$$$$.make
cmt_final_setup_make = $(bin)setup_make.make
#cmt_final_setup_make = $(bin)Dy_makesetup.make
cmt_local_make_makefile = $(bin)make.make

make_extratags = -tag_add=target_make

#$(cmt_local_tagfile_make) : $(cmt_lock_setup)
ifndef QUICK
$(cmt_local_tagfile_make) ::
else
$(cmt_local_tagfile_make) :
endif
	$(echo) "(constituents.make) Rebuilding $@"; \
	  if test -f $(cmt_local_tagfile_make); then /bin/rm -f $(cmt_local_tagfile_make); fi ; \
	  $(cmtexe) -tag=$(tags) $(make_extratags) build tag_makefile >>$(cmt_local_tagfile_make)
	$(echo) "(constituents.make) Rebuilding $(cmt_final_setup_make)"; \
	  test ! -f $(cmt_local_setup_make) || \rm -f $(cmt_local_setup_make); \
	  trap '\rm -f $(cmt_local_setup_make)' 0 1 2 15; \
	  $(cmtexe) -tag=$(tags) $(make_extratags) show setup >$(cmt_local_setup_make) && \
	  if [ -f $(cmt_final_setup_make) ] && \
	    \cmp -s $(cmt_final_setup_make) $(cmt_local_setup_make); then \
	    \rm $(cmt_local_setup_make); else \
	    \mv -f $(cmt_local_setup_make) $(cmt_final_setup_make); fi

else

#cmt_local_tagfile_make = $(Dy_tag).make
cmt_local_tagfile_make = $(bin)$(Dy_tag).make
cmt_final_setup_make = $(bin)setup.make
#cmt_final_setup_make = $(bin)Dysetup.make
cmt_local_make_makefile = $(bin)make.make

endif

not_make_dependencies = { n=0; for p in $?; do m=0; for d in $(make_dependencies); do if [ $$p = $$d ]; then m=1; break; fi; done; if [ $$m -eq 0 ]; then n=1; break; fi; done; [ $$n -eq 1 ]; }

ifdef STRUCTURED_OUTPUT
makedirs :
	@if test ! -d $(bin)make; then $(mkdir) -p $(bin)make; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)make
else
makedirs : ;
endif

#ifndef QUICK
#ifdef STRUCTURED_OUTPUT
# makedirs ::
#	@if test ! -d $(bin)make; then $(mkdir) -p $(bin)make; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)make
#
#$(cmt_local_make_makefile) :: $(make_dependencies) $(cmt_local_tagfile_make) build_library_links dirs makedirs
#else
#$(cmt_local_make_makefile) :: $(make_dependencies) $(cmt_local_tagfile_make) build_library_links dirs
#endif
#else
#$(cmt_local_make_makefile) :: $(cmt_local_tagfile_make)
#endif

ifdef cmt_make_has_target_tag

ifndef QUICK
$(cmt_local_make_makefile) : $(make_dependencies) build_library_links
	$(echo) "(constituents.make) Building make.make"; \
	  $(cmtexe) -tag=$(tags) $(make_extratags) build constituent_config -out=$(cmt_local_make_makefile) make
else
$(cmt_local_make_makefile) : $(make_dependencies) $(cmt_build_library_linksstamp) $(use_requirements)
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_make) ] || \
	  [ ! -f $(cmt_final_setup_make) ] || \
	  $(not_make_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building make.make"; \
	  $(cmtexe) -tag=$(tags) $(make_extratags) build constituent_config -out=$(cmt_local_make_makefile) make; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_make_makefile) : $(make_dependencies) build_library_links
	$(echo) "(constituents.make) Building make.make"; \
	  $(cmtexe) -f=$(bin)make.in -tag=$(tags) $(make_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_make_makefile) make
else
$(cmt_local_make_makefile) : $(make_dependencies) $(cmt_build_library_linksstamp) $(bin)make.in
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_make) ] || \
	  [ ! -f $(cmt_final_setup_make) ] || \
	  $(not_make_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building make.make"; \
	  $(cmtexe) -f=$(bin)make.in -tag=$(tags) $(make_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_make_makefile) make; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(make_extratags) build constituent_makefile -out=$(cmt_local_make_makefile) make

make :: $(make_dependencies) $(cmt_local_make_makefile) dirs makedirs
	$(echo) "(constituents.make) Starting make"
	@if test -f $(cmt_local_make_makefile); then \
	  $(MAKE) -f $(cmt_local_make_makefile) make; \
	  fi
#	@$(MAKE) -f $(cmt_local_make_makefile) make
	$(echo) "(constituents.make) make done"

clean :: makeclean

makeclean :: $(makeclean_dependencies) ##$(cmt_local_make_makefile)
	$(echo) "(constituents.make) Starting makeclean"
	@-if test -f $(cmt_local_make_makefile); then \
	  $(MAKE) -f $(cmt_local_make_makefile) makeclean; \
	fi
	$(echo) "(constituents.make) makeclean done"
#	@-$(MAKE) -f $(cmt_local_make_makefile) makeclean

##	  /bin/rm -f $(cmt_local_make_makefile) $(bin)make_dependencies.make

install :: makeinstall

makeinstall :: $(make_dependencies) $(cmt_local_make_makefile)
	$(echo) "(constituents.make) Starting install make"
	@-$(MAKE) -f $(cmt_local_make_makefile) install
	$(echo) "(constituents.make) install make done"

uninstall : makeuninstall

$(foreach d,$(make_dependencies),$(eval $(d)uninstall_dependencies += makeuninstall))

makeuninstall : $(makeuninstall_dependencies) ##$(cmt_local_make_makefile)
	$(echo) "(constituents.make) Starting uninstall make"
	@if test -f $(cmt_local_make_makefile); then \
	  $(MAKE) -f $(cmt_local_make_makefile) uninstall; \
	  fi
#	@$(MAKE) -f $(cmt_local_make_makefile) uninstall
	$(echo) "(constituents.make) uninstall make done"

remove_library_links :: makeuninstall

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ make"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ make done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_get_root_sources_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_get_root_sources_has_target_tag

#cmt_local_tagfile_get_root_sources = $(Dy_tag)_get_root_sources.make
cmt_local_tagfile_get_root_sources = $(bin)$(Dy_tag)_get_root_sources.make
cmt_local_setup_get_root_sources = $(bin)setup_get_root_sources$$$$.make
cmt_final_setup_get_root_sources = $(bin)setup_get_root_sources.make
#cmt_final_setup_get_root_sources = $(bin)Dy_get_root_sourcessetup.make
cmt_local_get_root_sources_makefile = $(bin)get_root_sources.make

get_root_sources_extratags = -tag_add=target_get_root_sources

#$(cmt_local_tagfile_get_root_sources) : $(cmt_lock_setup)
ifndef QUICK
$(cmt_local_tagfile_get_root_sources) ::
else
$(cmt_local_tagfile_get_root_sources) :
endif
	$(echo) "(constituents.make) Rebuilding $@"; \
	  if test -f $(cmt_local_tagfile_get_root_sources); then /bin/rm -f $(cmt_local_tagfile_get_root_sources); fi ; \
	  $(cmtexe) -tag=$(tags) $(get_root_sources_extratags) build tag_makefile >>$(cmt_local_tagfile_get_root_sources)
	$(echo) "(constituents.make) Rebuilding $(cmt_final_setup_get_root_sources)"; \
	  test ! -f $(cmt_local_setup_get_root_sources) || \rm -f $(cmt_local_setup_get_root_sources); \
	  trap '\rm -f $(cmt_local_setup_get_root_sources)' 0 1 2 15; \
	  $(cmtexe) -tag=$(tags) $(get_root_sources_extratags) show setup >$(cmt_local_setup_get_root_sources) && \
	  if [ -f $(cmt_final_setup_get_root_sources) ] && \
	    \cmp -s $(cmt_final_setup_get_root_sources) $(cmt_local_setup_get_root_sources); then \
	    \rm $(cmt_local_setup_get_root_sources); else \
	    \mv -f $(cmt_local_setup_get_root_sources) $(cmt_final_setup_get_root_sources); fi

else

#cmt_local_tagfile_get_root_sources = $(Dy_tag).make
cmt_local_tagfile_get_root_sources = $(bin)$(Dy_tag).make
cmt_final_setup_get_root_sources = $(bin)setup.make
#cmt_final_setup_get_root_sources = $(bin)Dysetup.make
cmt_local_get_root_sources_makefile = $(bin)get_root_sources.make

endif

not_get_root_sources_dependencies = { n=0; for p in $?; do m=0; for d in $(get_root_sources_dependencies); do if [ $$p = $$d ]; then m=1; break; fi; done; if [ $$m -eq 0 ]; then n=1; break; fi; done; [ $$n -eq 1 ]; }

ifdef STRUCTURED_OUTPUT
get_root_sourcesdirs :
	@if test ! -d $(bin)get_root_sources; then $(mkdir) -p $(bin)get_root_sources; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)get_root_sources
else
get_root_sourcesdirs : ;
endif

#ifndef QUICK
#ifdef STRUCTURED_OUTPUT
# get_root_sourcesdirs ::
#	@if test ! -d $(bin)get_root_sources; then $(mkdir) -p $(bin)get_root_sources; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)get_root_sources
#
#$(cmt_local_get_root_sources_makefile) :: $(get_root_sources_dependencies) $(cmt_local_tagfile_get_root_sources) build_library_links dirs get_root_sourcesdirs
#else
#$(cmt_local_get_root_sources_makefile) :: $(get_root_sources_dependencies) $(cmt_local_tagfile_get_root_sources) build_library_links dirs
#endif
#else
#$(cmt_local_get_root_sources_makefile) :: $(cmt_local_tagfile_get_root_sources)
#endif

ifdef cmt_get_root_sources_has_target_tag

ifndef QUICK
$(cmt_local_get_root_sources_makefile) : $(get_root_sources_dependencies) build_library_links
	$(echo) "(constituents.make) Building get_root_sources.make"; \
	  $(cmtexe) -tag=$(tags) $(get_root_sources_extratags) build constituent_config -out=$(cmt_local_get_root_sources_makefile) get_root_sources
else
$(cmt_local_get_root_sources_makefile) : $(get_root_sources_dependencies) $(cmt_build_library_linksstamp) $(use_requirements)
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_get_root_sources) ] || \
	  [ ! -f $(cmt_final_setup_get_root_sources) ] || \
	  $(not_get_root_sources_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building get_root_sources.make"; \
	  $(cmtexe) -tag=$(tags) $(get_root_sources_extratags) build constituent_config -out=$(cmt_local_get_root_sources_makefile) get_root_sources; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_get_root_sources_makefile) : $(get_root_sources_dependencies) build_library_links
	$(echo) "(constituents.make) Building get_root_sources.make"; \
	  $(cmtexe) -f=$(bin)get_root_sources.in -tag=$(tags) $(get_root_sources_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_get_root_sources_makefile) get_root_sources
else
$(cmt_local_get_root_sources_makefile) : $(get_root_sources_dependencies) $(cmt_build_library_linksstamp) $(bin)get_root_sources.in
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_get_root_sources) ] || \
	  [ ! -f $(cmt_final_setup_get_root_sources) ] || \
	  $(not_get_root_sources_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building get_root_sources.make"; \
	  $(cmtexe) -f=$(bin)get_root_sources.in -tag=$(tags) $(get_root_sources_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_get_root_sources_makefile) get_root_sources; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(get_root_sources_extratags) build constituent_makefile -out=$(cmt_local_get_root_sources_makefile) get_root_sources

get_root_sources :: $(get_root_sources_dependencies) $(cmt_local_get_root_sources_makefile) dirs get_root_sourcesdirs
	$(echo) "(constituents.make) Starting get_root_sources"
	@if test -f $(cmt_local_get_root_sources_makefile); then \
	  $(MAKE) -f $(cmt_local_get_root_sources_makefile) get_root_sources; \
	  fi
#	@$(MAKE) -f $(cmt_local_get_root_sources_makefile) get_root_sources
	$(echo) "(constituents.make) get_root_sources done"

clean :: get_root_sourcesclean

get_root_sourcesclean :: $(get_root_sourcesclean_dependencies) ##$(cmt_local_get_root_sources_makefile)
	$(echo) "(constituents.make) Starting get_root_sourcesclean"
	@-if test -f $(cmt_local_get_root_sources_makefile); then \
	  $(MAKE) -f $(cmt_local_get_root_sources_makefile) get_root_sourcesclean; \
	fi
	$(echo) "(constituents.make) get_root_sourcesclean done"
#	@-$(MAKE) -f $(cmt_local_get_root_sources_makefile) get_root_sourcesclean

##	  /bin/rm -f $(cmt_local_get_root_sources_makefile) $(bin)get_root_sources_dependencies.make

install :: get_root_sourcesinstall

get_root_sourcesinstall :: $(get_root_sources_dependencies) $(cmt_local_get_root_sources_makefile)
	$(echo) "(constituents.make) Starting install get_root_sources"
	@-$(MAKE) -f $(cmt_local_get_root_sources_makefile) install
	$(echo) "(constituents.make) install get_root_sources done"

uninstall : get_root_sourcesuninstall

$(foreach d,$(get_root_sources_dependencies),$(eval $(d)uninstall_dependencies += get_root_sourcesuninstall))

get_root_sourcesuninstall : $(get_root_sourcesuninstall_dependencies) ##$(cmt_local_get_root_sources_makefile)
	$(echo) "(constituents.make) Starting uninstall get_root_sources"
	@if test -f $(cmt_local_get_root_sources_makefile); then \
	  $(MAKE) -f $(cmt_local_get_root_sources_makefile) uninstall; \
	  fi
#	@$(MAKE) -f $(cmt_local_get_root_sources_makefile) uninstall
	$(echo) "(constituents.make) uninstall get_root_sources done"

remove_library_links :: get_root_sourcesuninstall

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ get_root_sources"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ get_root_sources done"
endif

#-- end of constituent ------
#-- start of constituents_trailer ------

uninstall : remove_library_links ;
clean ::
	$(cleanup_echo) $(cmt_build_library_linksstamp)
	-$(cleanup_silent) \rm -f $(cmt_build_library_linksstamp)
#clean :: remove_library_links

remove_library_links ::
ifndef QUICK
	$(echo) "(constituents.make) Removing library links"; \
	  $(remove_library_links)
else
	$(echo) "(constituents.make) Removing library links"; \
	  $(remove_library_links) -f=$(bin)library_links.in -without_cmt
endif

#makefilesclean ::

###	@/bin/rm -f checkuses

###	/bin/rm -f *.make*

#clean :: makefilesclean

#-- end of constituents_trailer ------
