void draw_or_paint(int npt=20000, int nodraw=0)
{
 int step, i, counter, iter, niter;
 double *value;
 char dytimestring[256];

  value = (double *)calloc(npt+1, sizeof(double));
  step=npt/10;
  niter=10;

  TCanvas* can = new TCanvas("c1","draw_or_paint",10,10,900,700);

  gBenchmark->Reset();
  gBenchmark->Start("testspeed");

  TH1F* h = new TH1F("h","draw_or_paint",npt,0,1);

  counter = 0;
  for (i=0; i<npt; i++) {value[i] = counter; counter++;}

  counter = 0;
  for (iter=0; iter<niter; iter++)
     {
      for (i=0; i<npt; i++) h->SetBinContent(i+1,value[i]);
      can->cd(1);
      sprintf(dytimestring,"Current iter: %d",iter);
      timepave = new TPaveText(0.05, 0.02, 0.90, 0.07,"bNDC");
      timepave->SetName("value");
      timepave->AddText(dytimestring);
      timepave->SetTextFont(62);
      timepave->SetTextColor(2);
      timepave->SetFillColor(0);
      timepave->Draw("NDC");

      if (iter == 0) h->Draw();
      if (nodraw == 0)
         {h->Draw();
          can->Modified();
         }
          can->Update();
      for (i=0; i<npt-step; i++) value[i] = value[i+step];
      for (i=npt-step; i<npt; i++) {value[i] = counter; counter++;}
     }

  gBenchmark->Show("testspeed");
  free(value);
  printf("\n %d iterations done , each with %d points\n", niter, npt);

}

void padRefresh(TPad *pad,int flag)
{
  if (!pad) return;
  pad->Modified();
  pad->Update();
  TList *tl = pad->GetListOfPrimitives();
  if (!tl) return;
  TListIter next(tl);
  TObject *to;
  while ((to=next())) {
    if (to->InheritsFrom(TPad::Class())) padRefresh((TPad*)to,1);}
  if (flag) return;
  gSystem->ProcessEvents();
}

