#ifndef __DyInput_ph__
#define __DyInput_ph__

#ifdef __cplusplus
extern "C" {
#endif

void DyChOpenInput  (struct DyCh *ch);
int DyChOpenClone (struct DyCh *ch, struct DyCh *ch0);
void DyChCloseInput (struct DyCh *ch);
void DyChCloseClone (struct DyCh *ch, struct DyCh *ch0);
struct FrameH *DyAsciiToFrame  (char *asciifileName, double framedt);
struct FrameH *DyWaveToFrame  (char *wavefileName, double framedt);
int DyReadFirstFrame  (char *chosen_file, long arg);
void DyAddFile  (char *result, int arg);
char *DyBaseName  (char *allname);
char *DyDirName  (char *dirname, char *allname);
long is_a_file  (char *str);
long is_a_dir  (char *str);
void DyAddShm (char *shmname);
int DyGetShmList ();
CmMessageStatus DyChListHandler  (CmMessage message, char* sender, char* serverName);
CmMessageStatus DyCmFrHandler  (CmMessage message, char *sender, char *serverName);
CmConnectCondition DyCmWait  (int timeout, char *servername);
int DyCmConnect  ();
void DyCmDisconnect ();
void DyUpdateCmList ();
void DyCmSetCmDomain  (char* cmdomain);
CmMessageStatus DyNamesHandler  (CmMessage message, char* sender, char* serverName);
CmMessageStatus DyCmInfoHandler  (CmMessage message, char* sender, char* serverName);
CmMessageStatus DyCmQuitHandler  (CmMessage message, char* sender, char* serverName);
int DyFdRequestChannelsList  (char *source, int gps);
int DyFdRequestFrames  (char *source, char* destination, char *tag, int queueSize, int nRetry);
int DyFdRemoveFramesRequest  (char* dest, char* serverName);
void FdShmInfoFree  (struct ShmInfo *shm);
long FdShmGetIwrite  (struct ShmInfo *shm);
long FdShmGetnFrameMax  (struct ShmInfo *shm);
void FdShmSetDynamic  (struct ShmInfo *shm, long dynamic);
void FdShmFree  (struct ShmInfo *shm, char *name);
void FdShmClose  (struct ShmInfo *shm, char *name);
struct ShmInfo *FdShmOpen  (char *idName, char *name);
int FdShmMakeKey  (char *name);
long FdShmCsmIni  (struct ShmInfo *temp, long *shmiread);
struct FrameH *FdShmRead  (struct ShmInfo *shm, long *shmiread, long compress, int *nBytes);
struct FrameH *FdShmReadDynamic  (struct ShmInfo *shm, long *shmiread, long compress, int *nBytes);
void DyDdPauseRequest  (char *DdServer);
void DyDdContinueRequest  (char *DdServer);
long DyDdFFLRequest  (char *DdServer);
long DyDdChlistRequest  (char *DdServer, char *inputfile, int gpsStart);
long DyDdDataRequest  (char *DdServer, char *inputfile, char *tag, int gpsStart, int nSeconds);
long DyDdSendWaitingTime  (double waiting_time);
CmMessageStatus DyDdHandlerFFL  (CmMessage message, char* sender, char* servername);
CmMessageStatus DyDdHandlerChlist  (CmMessage message, char* sender, char* servername);
CmMessageStatus DyDdHandlerFilelist  (CmMessage message, char* sender, char* servername);

#ifdef __cplusplus
}
#endif

#endif

