#ifndef __DyPlots_ph__
#define __DyPlots_ph__

#ifdef __cplusplus
extern "C" {
#endif

int DyPlotGetType  (char *plotname);
void DyPlotSetMinMax  (struct DyPlot *plot, double localymin, double localymax);
int DySavePlot  (char *savedPlots);
void DyRefPlotAdd  (char *filename, int color);
void DyRefPlotRemove  (char *filename);
void DyPlotEnd ();
void DyPlotSetSecondParam (int iplot);
void DyPlotSetTitle (int iplot);
void DyPlotSetBrowserline (int i, char *browserline);
void DyPlotAutoAdjust1D (int iplot, double localxmin, double localxmax);
void DyPlotAutoAdjust2D_X (int iplot, double localmin, double localmax);
void DyPlotAutoAdjust2D_Y (int iplot, double localmin, double localmax);
int DyPlotGetId (char *plotname);
void DyPlotDraw2 (int iplot);
void DyPlotDraw (int iplot);
int DyPlotGetUpdater ();
int DyPlotReady (int iplot);
int DyPlotGetIsuperposed (int iplot);
int DyPlotGetSameIndex (int iplot);
int DyPlotGetNsuperposed (int iplot);
void DyPlotSetMinRefreshDt ();
void DySetOnePlotVarY  ();
void DySetOnePlot  (int plottype);
void DyRemovePlot ();
void DyPlotFree  (long id, int fullfree);
void DyCopyPlot  (long idout, long idin, int fullcopy);
void DyCopyPlotForSame  (struct DyPlot *target, struct DyPlot *source);
int DySuperposePlot  ();
void DyUpdatePlotParam  (struct FrameH *frame, int id);
void DyUpdatePlotInput  (int id);
void DyPutDefaultInPlot  (long id);
void DyConstrain  (double *value);
void DyPutDefaultInPLOTRAW (long id);
void DyPutDefaultInPLOTRAWTIME (long id);
void DyPutDefaultInPLOTTIME (long id);
void DyPutDefaultInPLOTFFT (long id);
void DyPutDefaultInPLOT1D (long id);
void DyPutDefaultInPLOT2D (long id);
void DyPutDefaultInPLOTTR (long id);
void DyPutDefaultInPLOTCOHE (long id);
void DyPutDefaultInPLOTFFTTIME (long id);
void DyPutDefaultInPLOTTRTIME (long id);
void DyPutDefaultInPLOTCOHETIME (long id);
void DyPutDefaultInPLOT1DTIME (long id);
void DyPutDefaultInPLOTAUDIO (long id);
void DyGetDefaultFromPlot  (long id);
void DyPlotAlignTime  (long id);
void DyPlotInit  (long id, long fullinit);
void DyPlotSetTime  (double origin, char *plotName, double deltat, int nAverage, int timeaxis, struct FrameH *frame, int decayfft);
void DyPlotCheckFreq (int iplot);
int DyPlotCheckPad ();
void DyPlotCheckParam (int iplot);
void DyPlotSetDrawInfo  (int iplot);
void DyPlotSetDrawOptions  (int iplot);
void DyPlotSetColor (int iplot);
void DyPlotFFTIni (int iplot);
void DyPlotFFT (int iplot);
void DyPlotFFTEnd (int iplot);
void DyPlotTIMEIni (int iplot);
void DyPlotTIME (int iplot);
void DyPlotTIMEEnd (int iplot);
void DyPlot1DIni (int iplot);
void DyPlot1D (int iplot);
void DyPlot1DEnd (int iplot);
void DyPlot2DIni (int iplot);
void DyPlot2D (int iplot);
void DyPlot2DEnd (int iplot);
void DyPlotTRFCTIni (int iplot);
void DyPlotTRFCT (int iplot);
void DyPlotTRFCTEnd (int iplot);
void DyPlotCOHEIni (int iplot);
void DyPlotCOHE (int iplot);
void DyPlotCOHEEnd (int iplot);
void DyPlotAUDIOIni (int iplot);
void DyPlotAUDIO (int iplot);
void DyPlotAUDIOEnd (int iplot);
void DyPlotFFTTIMEIni (int iplot);
void DyPlotFFTTIME (int iplot);
void DyPlotFFTTIMEPerVect (int iplot, struct FrVect *subvect);
void DyPlotFFTTIMEEnd (int iplot);
void DyPlotRAWIni (int iplot);
void DyPlotRAW (int iplot);
void DyPlotRAWEnd (int iplot);
void DyPlot1DTIMEIni (int iplot);
void DyPlot1DTIME (int iplot);
void DyPlot1DTIMEEnd (int iplot);
void DyPlotRAWTIMEIni (int iplot);
void DyPlotRAWTIME (int iplot);
void DyPlotRAWTIMEEnd (int iplot);
void DyPlotTRFCTTIMEIni (int iplot);
void DyPlotTRFCTTIME (int iplot);
void DyPlotTRFCTTIMEPerVect (int iplot, struct FrVect *subvectx, struct FrVect *subvecty);
void DyPlotTRFCTTIMEEnd (int iplot);
void DyPlotCOHETIMEIni (int iplot);
void DyPlotCOHETIME (int iplot);
void DyPlotCOHETIMEPerVect (int iplot, struct FrVect *subvectx, struct FrVect *subvecty);
void DyPlotCOHETIMEEnd (int iplot);
void DyPlotSetLegendSize (int iplot, double *xorig, double *yorig, double *leg_size);
void DyPlotSetAllSize ();

#ifdef __cplusplus
}
#endif

#endif

