#ifndef __DyUtils_ph__
#define __DyUtils_ph__

#ifdef __cplusplus
extern "C" {
#endif

void DySetName ();
double Dy_quickselect (double *arr, int n, int k);
void DySoundFillHeader (struct soundhdr *hdr, long srate, long nBytes, short bits_per_sample);
void DySoundReadHeader  (char *buffer);
void DyChCloneOpch (struct DyCh *chout, struct DyCh *chin);
struct DyCh *DyChClone (struct DyCh *chin);
double DySetDefaultStartTime ();
double DySetDefaultEndTime ();
double DyGetGPSNow  ();
double DyGetLatency  (double gps, double uleaps);
double DyTimeFormatToGps  (const char *timeformat);
char *DyGpsToTimeString  (double origin, struct FrameH *frame, double deltat, int nAverage, int decayfft, char *title);
void DySetDefaultColors  (int flag);
void DyIni  (char **argv, int argc);
void DyRaz  (long arg);
void DyMakeTypeNames  ();
void DyMakeTag  (char *tag);
char *DyAddToTag  (char *tag, struct DyCh *ch);
void DyStart ();
void DyFileLoop ();
void DyCmLoop ();
int DyPlotLoop  (double gtime);
double DyPlotGetTimewindow  (int i);
void DyPlotProcess  (int i, double timewindow);
void DyPlotAllIni  ();
void DyGetMaxTimeStep ();
void DyPlotIni  (int i, double timewindow);
void DyPause  ();
void DyContinue  ();
void DyNext  (long arg);
void DyStop ();
int DyGetCmFrame ();
void DyCheckRunning  ();
void quitHandler  (int arg);
void DyFree  ();
char *my_strcpy  (char *dummy, char *str);
long max  (long a, long b);
double return_val  (struct FrAdcData *adc, long i);
void DyGetMinMax  (struct FrVect *vect, double *vmin, double *vmax);
void DyChecks  ();
void DyCheckPlot  (long id);
double DyUTC2GPS  (double utc);
int DyGTimeFromDate  (char *inputDate)   /* inputDate in UTC, output is GTimeS */;
int DyJulianDay (int y, int m, int d);
int DyMissingFrames  (int previous, struct FrameH *frame);
double DyGetMin  (double x1, double x2);
double DyGetMax  (double x1, double x2);
double DyDebugTimeNeeded  (const char *fctname, const char *flag);
void DyDebugPrint  (const char *msg, int printflag);
double DyCheckMemory ();
char *DyCheckString  (char* name);
char *DyFilterString  (char* name, unsigned char separator);
int DyCountChannels  (struct FrameH *frame);
void DyDecodeVar  (char *inputString, char **smsName, char **varName);
void DyUpdateChList ();
struct FrameH *DyChListToFrame  (struct FrameH *frame);
struct FrameH *DyCharChListToFrame  (char *chaine);
int DyGetSmsVarList  (int *ifirst, char **wordlist, struct FrSerData *smsStation);
int DyChFix2d  (struct FrameH *frame, struct DyCh *ch);
void DyChFill  (struct FrameH *frame, char *inputname);
void DySortCmList ();
void DySortDdList ();
void DySortDdFileList ();
void DySortShmList ();
void DyChSort ();
void DyChSortByFreq ();
void DyChRemove  (int i0);
void DyChCopy  (struct DyCh *chout, struct DyCh *chin);
int DyChFilter (const char *filtertag);
void DyChGetPrefix ();
void DyChDescription  (char *chfile, char *chname);
void DyGetInputVectors (struct DyCh *ch);
struct FrVect *DyGetVect (struct DyCh *ch, double gtime, double duration);
struct FrVect *DyGetSerDataVect (struct DyCh *ch, double gtime, double duration);
struct FrVect *DyCreateOpVect (struct DyCh *ch, struct FrVect **invects);
double DyCheckVect (struct FrVect *vect, struct DyCh *ch, double gtime, double duration);
void DyBasicProcessVect (int iplot);
void DyChZeroMean (struct DyCh *ch);
void DyChScaleOffset (struct DyCh *ch, double scale, double offset);
void DyProcessVect (struct DyCh *ch, int plottype);
void DyResample (struct DyCh *ch, int plottype);
void DyPassbandfilter (struct DyCh *ch);
void DyProcessVectIni (struct DyCh *ch);
struct FrVect *DyFiltfilt (struct FrvFilterB *filter, struct FrVect *vect);
void DyChFree (struct DyCh *ch);
void DyWindowsIni  (long nwindows);
void DySetRowCol  (int ntot, int *nCol, int *nRow);
void DyVisuEnd  ();
void DyOutputDefault ();
void DyOutputWrite  (struct FrameH *frame);
void DyOutputClose ();
int DyCheckData  (struct FrVect *data);
char *DyFrVectDumpToBuf  (struct FrVect *vect, char *buf, long dumplevel);

#ifdef __cplusplus
}
#endif

#endif

