
#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#include <sys/types.h>
#include <glob.h>
#include <sys/stat.h>
#include <unistd.h>
#include "USignalL.h"
#include "dataDisplay.h"
#include "URootAccess.h"
#ifdef MEMWATCH
#    include "memwatch.h"
#endif

struct UJstructH *USignalUJstructH;

struct USignal  *USfirstSignal  = NULL;


/*------------------------------------------------------ USLibIni -*/
void USLibIni()
/*-----------------------------------------------------------------*/
{
 static BOOL first=YES;

 if (first == NO)  return;
 first = NO; 
 
 USignalUJstructH     = UJDicAddS("USignal", NULL, NULL, USignalEnd, USignalRead, NULL);

 return;
}


/*----------------------------------------------------- USignalFind ----*/
struct USignal *USignalFind(name)
char *name;
/*--------------------------------------------------------------------*/
{
 struct USignal *USignal;

 USignal = USfirstSignal;
  
 while(USignal != NULL)
    {if (strcmp(name,USignal->name) == 0)  return(USignal);
     USignal = USignal->next;
    }

 return(NULL);
}


/*---------------------------------------------------USignalEnd------*/
void USignalEnd()
/*--------------------------------------------------------------------*/
{
 struct USignal *signal, *signalI;

 signal = USfirstSignal;
 
 while (signal != NULL) 
   {
    signalI = signal->next;
    if (signal->name != NULL)  free(signal->name);
    free(signal);
    signal = signalI;
   }

 USfirstSignal = NULL; 
 return;
}


/*---------------------------------------------------USignalFree------*/
void USignalFree(signal)
struct USignal *signal;
/*--------------------------------------------------------------------*/
{
 struct USignal *last;

 if (USfirstSignal == signal)
    {USfirstSignal = signal->next;}
 else
    {last = USfirstSignal;
     while (last->next != signal) 
        {last = last->next;
         if (last == NULL)  UJError(3,"USignalFree","corrupted chain");
        }
     last->next = signal->next;
    }
     
 if (signal->name != NULL)  free(signal->name);

 free(signal);
 return;
}


/*----------------------------------------------------- USignalNew ----*/
struct USignal *USignalNew(name, ascii)
char *name;
BOOL ascii;
/*--------------------------------------------------------------------*/
{
 struct USignal *USignal, *last;

 USignal = (struct USignal *)malloc(sizeof(struct USignal));
 if (USignal == NULL)  UJError(3,"USignalNew","malloc USignal failed"); 

 USignal->name = malloc(strlen(name)+1);
 if (USignal->name == NULL)   UJError(3,"USignalNew","malloc name failed");
 strcpy(USignal->name,name);

 if      (ascii == YES)  {UJSetBA( name,"USignal",             USignal);} 
 else if (ascii == NO)   {UJSetBAT(  -1, USignalUJstructH->id, USignal);}

 USignal->next  = NULL;
 USignal->value = 0.;
   
 if (USfirstSignal == NULL)
    {USfirstSignal = USignal;}
 else
    {last = USfirstSignal;
     while (last->next != NULL)  last = last->next;
     last->next = USignal;
    }
     
 return(USignal);
} 


/*----------------------------------------------------- USignalRead ----*/
void USignalRead(iFile)
struct UJfile *iFile;
/*--------------------------------------------------------------------*/
{
 struct USignal *signal, *last;

 UJ_READ_HEADER_WITH_NAME(USignal, signal)
 
 UJ_READ_DOUBLE(signal->value)

 signal->next = NULL;

 if (USfirstSignal == NULL)
    {USfirstSignal = signal;}
 else
    {last = USfirstSignal;
     while (last->next != NULL)  last = last->next;
     last->next = signal;
    }
     
 return;
}

