
/************************** FdShm.h ***************************/

#include <sys/types.h>
#include <sys/ipc.h>
#include <sys/shm.h>
#include <unistd.h>
#include <FrameL.h>

#if !defined(FDSHMLIB_DEFINED)
#define FDSHMLIB_DEFINED DONE

#ifdef __cplusplus
extern "C" {
#endif

#define PRODUCER    "producer"
#define FRAMINO     "framino"
#define NOTRM       "notrm"

#define NOUTMAX             32
#define NFRAMEMAX          256
#define FRAMESIZE_MAX  8000000

/* #define SHM_ADDR 1076854784  */ /*  on dmon2  */

#define SHM_ADDR 1077194752  /* on dmon3 */


struct ShmInfo
{
  key_t key;
  int  shmid;
  void *segptr;
  long size;
  char version[64];
  long selfStatus;
  long statusSize;
  long frameSizeMax;
  long nFrameMax;
  int latency;

  long frameSh[NFRAMEMAX];
  long frameSize[NFRAMEMAX];
  int  frameGPS[NFRAMEMAX];
  long iwrite;

  long nConsumer;
  int  toBeRemoved[NOUTMAX+1];
  int  csmPid[NOUTMAX+1];
  char csmName[NOUTMAX+1][64];
  long iread[NOUTMAX+1];
  char outputName[64];
};

/*
typedef int (*FdShmPrinter_t)(const char* format, va_list args);
FdShmPrinter_t FdShmInstallPrinter (FdShmPrinter_t printer);
static void FdShmDoPrint (const char *format, ...);
*/

void   FdShmInfoFree (struct ShmInfo *shm);
long   FdShmGetCsmN (struct ShmInfo *shm, char *name);
long   FdShmGetI (struct ShmInfo *shm, char *csmName);
long   FdShmGetIwrite (struct ShmInfo *shm);
long   FdShmGetnFrameMax (struct ShmInfo *shm);
int    FdShmCheckConsumers (struct ShmInfo *shm);
char  *FdShmGetOutputName (struct ShmInfo *shm);

void   FdShmFree (struct ShmInfo *shm, char *name);
int    FdShmRemoveCsm (struct ShmInfo *shm, int csmN);
void   FdShmClose (struct ShmInfo *shm, char *name);

struct ShmInfo *FdShmNew (long frameSize, long nFrame, char *idName, char *name);
struct ShmInfo *FdShmOpen (char *idName, char *name);
int    FdShmMakeKey (char *name);
void   FdShmCsmIni (struct ShmInfo *temp, char *name);
void   FdShmInitStatus (struct ShmInfo *shm, long nFrame, long frameSize);

long   FdShmWrite (struct ShmInfo *shm, struct FrameH *frame, long compress);
void   FdShmWriteBuf (struct ShmInfo *shm, char *buf, int nBytes);

struct FrameH *FdShmRead (struct ShmInfo *shm, char *name, long compress, int *nBytes);
char  *FdShmReadBuf (struct ShmInfo *shm, char *name, int *nBytes);

void   FdShmLook (struct ShmInfo *shm);
char  *FdShmGetStatus (struct ShmInfo *shm);


#ifdef __cplusplus
}
#endif


#endif
