/*----------------------------------------------------------------------------*/
/* A test program to test the FrFileInMemory object                           */
/*----------------------------------------------------------------------------*/

#include <FrameL.h>

/*------------------------------------------------------------- main ---------*/
int main(int argc, char *argv[])
/*------------------------------------------------------------- main ---------*/
{
  FrameH* frame;
  int size;

  FrFile *iFile = FrFileINew("/virgoApp/Fr/v8r29/data/test.gwf");

  FrFile *memFile =  FrFileIInMemoryNew();

  int bufSize = 200000000;
  while((frame = FrameRead(iFile)) != NULL) {
    printf(" read frame %d\n",frame->GTimeS);
    if(frame->GTimeS == 925484680) continue;
    if(frame->GTimeS == 925484681) continue;
    if(frame->GTimeS == 925484682) continue;
    if(frame->GTimeS == 925484683) continue;
    char *buf = malloc(bufSize);
    size = FrameWriteToBuf(frame, 0, buf, bufSize, 0);
    printf(" %d bytes writen to buf\n", size);
    FrFileIInMemoryAddBuffer(memFile, buf,size, 4);
    free(buf);
    FrameFree(frame);}

  double tStart = FrFileITStart(memFile);
  double tEnd   = FrFileITEnd(memFile);

  printf(" tStart=%.0f tEnd=%.0f\n", tStart, tEnd);

  FrVect *vect = FrFileIGetVect(memFile, "Adc0", 925484681, 2);
  FrVectDump(vect, stdout, 2);

  return(0);
}

