/*----------------------------------------------------------------------------*/
/* A test program to test the FrFileInMemory object                           */
/*----------------------------------------------------------------------------*/

#include <FrameL.h>

/*------------------------------------------------------------- main ---------*/
int main(int argc, char *argv[])
/*------------------------------------------------------------- main ---------*/
{
  FrameH* frame;
  int size, count;
  double tStart, tEnd, gtime;
 struct FrVect *vect;

  FrFile *iFile = FrFileINew("/virgoApp/Fr/v8r29/data/test.gwf");

  FrFile *memFile =  FrFileIInMemoryNew();

  int bufSize = 200000000;
  count = 0;
  while((frame = FrameRead(iFile)) != NULL) {
    printf("\n------------------------ read frame %d\n",frame->GTimeS);
    gtime  = frame->GTimeS;

    if(frame->GTimeS < 925484679 || frame->GTimeS > 925484681)
      {char *buf = malloc(bufSize);
       size = FrameWriteToBuf(frame, 0, buf, bufSize, 0);
       printf("  %d bytes written to buf\n", size);
       FrFileIInMemoryAddBuffer(memFile, buf,size, 4);
       free(buf);
      }
    else
      {printf("  frame %.1f not written in memory \n", gtime);}

    tStart = FrFileITStart(memFile);
    tEnd   = FrFileITEnd(memFile);
    printf("  tStart=%.0f tEnd=%.0f  gtime=%.1f\n", tStart, tEnd, gtime);

    if (count > 0)
      {
       FrVect *vect = FrFileIGetVect(memFile, "Adc0", 925484682, 2);
       if (vect) FrVectDump(vect, stdout, 2);
       else printf("Vector at 925484682 is NULL\n");
/*
       else printf("Vector at %f is NULL\n", gtime-1);
*/      }

    FrameFree(frame);
    count++;
   }

  return(0);
}

