#!/bin/bash

if [ "$1" = "" ]; then
 echo " "
 echo "Check for a string in the files of ../src/xform"
 echo "And, if a second argument is provided. The string is replaced by this second argument."
 echo "Syntax: $0 [string] [newstring]"
 echo " "
 exit 0
fi

target=$1

newstring="nnn"
if [ "$2" != "" ]; then newstring=$2; fi

liste=`ls ../src/xform/*.fd ../src/xform/*.c`

for name in $liste
do
 if [ "$2" != "" ]; then
   echo "Replacing \"${target}\" by \"${newstring}\" in file $name"
   sed -e "s|${target}|${newstring}|g" $name > ${name}.modif
   mv -f ${name}.modif $name
 else
   nfound=`grep $target $name | wc -l`
   echo "Found $nfound times the string $target in file $name"
 fi
done

