void draw_or_paint(int npt=20000, int nodraw=0, int niter=10, int ralenti=0)
{
 int step, i, counter, iter;
 double *value;
 char dytimestring[256];
 TPaveText *timepave;

  /*--- Set an array of npt values and use a step of 10 percent ---*/
  value = (double *)calloc(npt+1, sizeof(double));
  step=npt/10;

  TCanvas* can = new TCanvas("c1","draw_or_paint",10,10,900,700);

  gBenchmark->Reset();
  gBenchmark->Start("testspeed");

  /*--- Create two plots to be superposed ---*/
  TH1F* h  = new TH1F("h","draw_or_paint",npt,0,1);
  TH1F* h2 = new TH1F("h2","draw_or_paint2",npt,0,1);
  h->SetLineColor(1);
  h2->SetLineColor(2);

  counter = 0;
  for (i=0; i<npt; i++) {value[i] = counter*(1+0.1*gRandom->Gaus(0,1)); counter++;}

  timepave = NULL;
  for (iter=0; iter<niter; iter++)
     {
      /*--- Fill the plots with the values ---*/     
      for (i=0; i<npt; i++) h->SetBinContent(i+1,value[i]);
      for (i=0; i<npt; i++) h2->SetBinContent(i+1,value[i]*2);

      /*--- Build the timepave and draw it ---*/
/*
      sprintf(dytimestring,"Current iter: %d (nodraw=%d)",iter, nodraw);
      if (timepave) timepave->Delete();
      timepave = new TPaveText(0.05, 0.02, 0.90, 0.07,"bNDC");
      timepave->SetName("value");
      timepave->AddText(dytimestring);
      timepave->SetTextFont(62);
      timepave->SetTextColor(2);
      timepave->SetFillColor(0);
*/
      h->SetMaximum(2*counter*1.2);

      /*--- Draw one time the plots (if nodraw=1) or at every step (nodraw=0) ---*/
      if (iter == 0 || nodraw == 0)
        {h->Draw();
         h2->Draw("same");
        }
//      timepave->Draw("NDC");

      gPad->Modified();
      gPad->Update();
//      can->Modified();
//      can->Update();
      if (ralenti > 0) gSystem->Sleep(1000*ralenti);

      /*--- Update the values as if we shift by step an input channel ---*/
      for (i=0; i<npt-step; i++) value[i] = value[i+step];
      for (i=npt-step; i<npt; i++) {value[i] = counter*(1+0.1*gRandom->Gaus(0,1)); counter++;}
     }

  gBenchmark->Show("testspeed");
  free(value);
  printf("\n %d iterations done , each with %d points\n", niter, npt);

}

void padRefresh(TPad *pad,int flag)
{
  if (!pad) return;
  pad->Modified();
  pad->Update();
  TList *tl = pad->GetListOfPrimitives();
  if (!tl) return;
  TListIter next(tl);
  TObject *to;
  while ((to=next())) {
    if (to->InheritsFrom(TPad::Class())) padRefresh((TPad*)to,1);}
  if (flag) return;
  gSystem->ProcessEvents();
}

