/*----------------------------------------------------------------------------*/
/* A test program to test the FrFileIInMemory object                          */
/*----------------------------------------------------------------------------*/

#include <FrameL.h>

/*------------------------------------------------------------- main ---------*/
int main(int argc, char *argv[])
/*------------------------------------------------------------- main ---------*/
{
  FrameH* frame;
  int size;
  double tStart, tEnd;
  double vecttime, vectduration;
  FrVect *vect;

  /*---------first create and fill the inMemory buffer with multiple frames---*/
  FrFile *iFile = FrFileINew("/virgoApp/Fr/v8r22/data/test.gwf");

  FrFile *memFile =  FrFileIInMemoryNew();

  int bufSize = 100000;
  while((frame = FrameRead(iFile)) != NULL) {
    printf(" read frame %d\n",frame->GTimeS);
    char *buf = malloc(bufSize);
    size = FrameWriteToBuf(frame, 0, buf, bufSize);
    printf(" %d bytes writen to buf\n", size);
    FrFileIInMemoryAddBuffer(memFile, buf,size, 8);
    tStart = FrFileITStart(memFile);
    tEnd   = FrFileITEnd(memFile);
    printf(" Added frame %d in memory  : tStart=%.0f tEnd=%.0f\n", frame->GTimeS, tStart, tEnd);
    vecttime = frame->GTimeS-2*frame->dt;
    vectduration = 2;
    vect = FrFileIGetVect(memFile, "Adc0",vecttime, vectduration);
    printf(" Requested vector : time=%f  duration=%g vect=%x \n", vecttime, vectduration, vect);
/*
    FrVectDump(vect, stdout, 2);
    if (vect) FrVectFree(vect);
*/

    vecttime = frame->GTimeS-2*frame->dt+0.4;
    vectduration = 0.4;
    vect = FrFileIGetVect(memFile, "Adc0",vecttime, vectduration);
    printf(" Requested vector : time=%f  duration=%g vect=%x \n", vecttime, vectduration, vect);
/*
    FrVectDump(vect, stdout, 2);
    if (vect) FrVectFree(vect);
*/

    free(buf);
    FrameFree(frame);
    sleep(1);
   }

  /*----------------------------then check boundaries and extract a vector---*/
  tStart = FrFileITStart(memFile);
  tEnd   = FrFileITEnd(memFile);

  printf(" END =============================== tStart=%.0f tEnd=%.0f\n", tStart, tEnd);

  vect = FrFileIGetVect(memFile, "Adc0", 925484678.3, 3.3);
  FrVectDump(vect, stdout, 2);
 
  /*----------------------------------compare the vector to a direct read---*/
  iFile = FrFileINew("../data/test.gwf");
  vect = FrFileIGetVect(iFile, "Adc0", 925484678.3, 3.3);
  FrVectDump(vect, stdout, 2);

  return(0);
}
