#! /bin/bash 

DIR=`dirname $0`
DIR=../src

if [ "$1" = "" ]; then
 echo "I need the name of a file."
 echo "If you provide ALL, then I will scan all the files."
 echo " "
 exit 0
fi

if [ "$1" = "ALL" ]; then liste=`ls $DIR/*.c $DIR/xform/*.c `
else                     liste=`ls $DIR/$1`; fi


### Get the lines where we may have a function name

fctlist=""
for file in $liste
do
 fctlist="$fctlist `grep "\/\*\-\-\-\-\-\-\-" $file`"
done


### Get the function names and linenumber and file 

i=0
for name in $fctlist
do
 if echo "$name" | grep -q "\-\-" ; then continue; fi
 function_name[$i]=$name
 for file in $liste
 do
  number=`grep -n "$name \-" $file | head -1 | awk -F ":" '{print $1}'`
  if [ "$number" != "" ]; then function_line[$i]=$number; function_file[$i]=$file; break; fi
 done
 nbrc=`grep ${function_name[i]} $DIR/*.c $DIR/xform/*.c | wc -l`
 nbrh=`grep ${function_name[i]} $DIR/*.h $DIR/xform/*.h | wc -l`
 echo "$i : ${function_name[i]} : ${function_line[i]} : ${function_file[i]} : used $((nbrc-2)) times in .c : used $nbrh times in .h"
 ((i++))
done

exit 0


### Read the files to get the dependencies between function names

nf=${#function_name[@]}
for ((i=0; i<nf; i++))
do
 ip1=$((i+1))
 firstline=${function_line[i]}
 if [ "${function_file[i]}" = "${function_file[ip1]}" ]; then lastline=${function_line[ip1]}
 else                                                         lastline=`wc -l ${function_file[i]} | awk '{print $1}'`
 fi
 echo "Looking at file ${function_file[i]} from line $firstline to line $lastline"
 count=0
 head -n $lastline ${function_file[i]} | tail -n $((lastline-firstline+1)) > scansrc_tmp.txt 
 while read line
 do
  for ((j=0; j<nf; j++))
  do
   if [ "${function_name[j]}" = "${function_name[i]}" ]; then continue; fi
   if echo $line | grep -q "${function_name[j]}" ; then
#    echo "count=$count : Found call to ${function_name[j]} in line : $line" 
    function_call[$i,$count]=${function_name[j]}
    ((count++))
   fi
  done
 done < scansrc_tmp.txt

 echo "Found $count function calls in the code of function ${function_name[i]}"
 for ((j=0; j<count; j++))
 do
   echo "--> ${function_call[i,j]}"
 done
 function_callnbr[$i]=$count
done


